<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: about.php,v 1.9 2006/06/05 10:22:53 medea2 Exp $
*/
session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<title>Zeus: About</title>
		<link rel="icon" href="img/favicon.ico" type="image/x-icon" />
		<link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon" />
		<?php

		if($_SESSION['page_size'] == 'large')
		{
			echo '	<link rel="stylesheet" href="zeus_large.css" type="text/css" />';
			$iflagre = "_large";
			$logo = "img/zeus_logo_giant.png";
		}
		else
		{
			echo '	<link rel="stylesheet" href="zeus_normal.css" type="text/css" />';
			$iflagre = "";
			$logo = "img/zeus_logo_large.png";
		}
	

		?>
	</head>
	
	<body>

	<center>


	<div id="content">
		<table id="fact">
		<tr>
			<td><img alt="Zeus" src="<?php echo $logo; ?>" /><br /><br /></td>
		</tr>
		<tr>
		<td align="justify">

		<b>The software developed is released under <i><a href="http://opensource.org/licenses/bsd-license.php">"The BSD License"</a></i>.</b><br />
	
		<b>Release:</b> 1.0<br />
		<b>Date:</b> 05/05/2006<br />
	
		<b>Author(s):</b> University of Karlstad.<br/>
		<br/>The software is developed as a project in course CITB02, spring 2006, for the University of Karlstad and is written by:

Anders Ellvin, Emil Ljungdahl, Erik Andersson, Henrik B&auml;ck, Henrik Lund, Lars-Olof Moilanen, Mathias Andersson, Rikard Bostr&ouml;m and Tobias Pulls<br /><br />
	

		<a href="index.php?page=<?php echo $_SESSION['back_page']; ?>"><img src="img/zeus_pathborder_back_red<?php echo $iflagre; ?>.png" id="button_back" alt="Back" /></a>

			</td>
		</tr>
		</table>
	</div>
	</center>
	</body>
</html>