<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: action_manage_categories.inc.php,v 1.6 2006/06/05 11:22:07 medea1 Exp $
*/

$actionerror = 0;

if(isset($_REQUEST['modify']))
{
	if($_SESSION['owner_questionnaire'])
	{
		if(count($_POST['rows']) > 0)
		{
			include 'inc/change_categories.inc.php';
		}
		else
		{
			$status[] = array('type' => 'description', 'text' => 'To modify categories, select the categories you wish to edit and press "Modify".');
			$actionerror = 1;
			include_once('inc/manage_categories.inc.php');
		}
	}
	else
	{
		$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can modify a category!');
		$actionerror = 1;
		include_once('inc/manage_categories.inc.php');
	}
}
elseif(isset($_REQUEST['append']))
{
	include 'inc/append_category.inc.php';
}
elseif(isset($_REQUEST['select']))
{
	if(count($_POST['rows']) == 1)
	{
		include 'inc/select_questions.inc.php';
	}
	else
	{
		$status[] = array('type' => 'description', 'text' => 'To select questions to a category, select the category you wish to select questions to and press "Questions to category".');
		$actionerror = 1;
		include_once('inc/manage_categories.inc.php');
	}
}
elseif(isset($_REQUEST['delete']))
{
	if($_SESSION['owner_questionnaire'])
	{
		if(count($_POST['rows']) > 0)
		{
			unset($_SESSION['data_confirm']);
			include_once('inc/confirm.inc.php');
		}
		else
		{
			$status[] = array('type' => 'description', 'text' => 'To remove categories, select the categories you wish to remove and press "Delete".');
			$actionerror = 1;
			include_once('inc/manage_categories.inc.php');
		}
	}
	else
	{
		$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can delete a category!');
		$actionerror = 1;
		include_once('inc/manage_categories.inc.php');
	}
}
elseif(isset($_REQUEST['cancel']))
{
	include 'inc/manage_questionnaire.inc.php';
}
else
{
	include 'inc/manage_categories.inc.php';
}

?>