<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: append_category.inc.php,v 1.24 2006/06/07 10:42:36 medea8 Exp $
*/

$error = 0;

// Print pathborder
$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
$path[] = array('href' => return_href('manage_categories'), 'name' => 'Manage Categories');
$path[] = array('href' => '', 'name' => 'Append Category');
$path_back = return_href('manage_categories');

$pagetitle = 'Append Category';

if(!$_SESSION['owner_questionnaire'])
{
	$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can append a category!');
	pageHeader($pagetitle, $path, $path_back, $status);
	pageFooter();
}
else
{
	
	if(!empty($_POST['categorie']) && !isset($_POST['cancel']) && is_numeric($_SESSION['active_questionnaire']))
	{
		$value = clean_string($_POST['categorie']);
		$questionnaire_id = $_SESSION['active_questionnaire'];
		$sql = "INSERT INTO question_categories ( name, questionnaire_id ) VALUES ('$value', $questionnaire_id)";
		$commit = my_query($sql, $mysql_handler);

		print_back('manage_categories');
	}
	elseif(isset($_POST['cancel']))
		print_back('manage_categories');
	else
	{
		if(empty($_POST['categorie']) && isset($_POST['append_cat']))
		{
			$status[] = array('type' => 'error', 'text' => 'You have to enter a name to the catagory.');
			$error = 1;
		}

		if(!$error)
			$status[] = array('type' => 'description', 'text' => 'Append a new category to the questionnaire.');

		pageHeader($pagetitle, $path, $path_back, $status);
		

	?>

		<b>Category name:</b><br />
		<form name="zeus" method="post" action="index.php">
		<table><tr><td>
		<input type="hidden" name="page" value="append_category" />
		<input type="text" class="wide" name="categorie" /></td></tr><tr><td>
		<br />
		<input class="button_green button_normal" type="submit" name="append_cat" value="Append" />&nbsp;<input type="submit" class="button_red button_normal" name="cancel" value="Cancel" /></td></tr></table>
		</form>
	<?php
		pageFooter();
	}
}
?>