<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
*/

if(isset($_POST['question']))
{
	foreach($_POST['question'] AS $key => $value)
	{
		$_SESSION['change_questions_data']['questions'][$key] = $value;	
	
		if(isset($_POST['negate'][$key]))
			$_SESSION['change_questions_data']['negate'][$key] = 1;
		else
			$_SESSION['change_questions_data']['negate'][$key] = 0;
		if(isset($_POST['numb_rows'][$key]))
			$_SESSION['change_questions_data']['number_of_rows'][$key] = $_POST['numb_rows'][$key];
		else
			$_SESSION['change_questions_data']['number_of_rows'][$key] = 3;
	
		if(isset($_POST['several'][$key]))
			$_SESSION['change_questions_data']['several'][$key] = 1; 
		else
			unset($_SESSION['change_questions_data']['several'][$key]);
	}
	$_SESSION['change_questions_data']['master'] = $_POST['master'];
}

// Print pathborder
$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
$path[] = array('href' => return_href('manage_questions'), 'name' => 'Manage Questions');

if(count($_SESSION['change_questions_data']['questions']) == 1)
	$path[] = array('href' => return_href('change_questions'), 'name' => 'Modify Question');
else
	$path[] = array('href' => return_href('change_questions'), 'name' => 'Modify Questions');

$path[] = array('href' => '', 'name' => 'Append Question Alternative');

$path_back = return_href('change_questions');

$pagetitle = 'Append Question Alternative';


// We know that $_POST['append_alternative'] only has one $key. 
if(is_array($_POST['append_alternative']))
	foreach($_POST['append_alternative'] AS $key => $bla)
		$q_id = $key;

if(!isset($q_id) && isset($_POST['q_id']))
	$q_id = $_POST['q_id'];


if(isset($_POST['cancel']))
	print_back('change_questions');
elseif(!empty($_POST['alternative']))
{
	$sql = "SELECT MAX(id) FROM questions";
	$result = my_query($sql, $mysql_handler);
	$data = mysql_fetch_row($result);

	$key = 0;

	// Get the highest key in use.
	for($i = 1; $i <= $data[0]; $i++)
	{
		if(is_array($_SESSION['change_questions_data']['multiple_choice'][$i]))
		{
			foreach($_SESSION['change_questions_data']['multiple_choice'][$i] AS $k => $d)
			{
				if($k > $key)
					$key = $k;	
			}
		}
	}
	
	$key++;

	$_SESSION['change_questions_data']['multiple_choice'][$q_id][$key] = $_POST['alternative'];
	$_SESSION['change_questions_data']['multiple_choice_order'][$q_id][$key] = count($_SESSION['change_questions_data']['multiple_choice'][$q_id]);

	$_SESSION['change_questions_data']['multiple_choice_insert'][] = $key;

	print_back('change_questions');
}
else
{
	pageHeader($pagetitle, $path, $path_back);
	print_status('description', "Append a new alternative to the question.");
?>
	<b>Alternative text:</b><br />
	<form name="zeus" method="post" action="index.php">
	<table><tr><td>
	<input type="hidden" name="page" value="append_change_questions_alternative" />
	<input type="hidden" name="q_id" value="<?php echo $q_id; ?>" />
	<input type="text" name="alternative" /></td></tr><tr><td>
	<br />
	<input class="button_green button_normal" type="submit" value="Append" />&nbsp;<input type="submit" class="button_red button_normal" name="cancel" value="Cancel" /></td></tr></table>
	</form>
<?php
	pageFooter();
}
?>