<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: change_admin.inc.php,v 1.1 2006/06/05 09:53:34 medea1 Exp $
*/

// Print pathborder
$path[] = array('href' => return_href('maintenance'), 'name' => 'System maintenance');
$path[] = array('href' => return_href('manage_admins'), 'name' => 'Manage Administrators');
$path[] = array('href' => '', 'name' => 'Modify Administrator');
$path_back = return_href('manage_admins');

$pagetitle = 'Modify Administrator';

$sql = "SELECT superuser FROM admin WHERE id = ".$_SESSION['admin_id'];
$result = my_query($sql, $mysql_handler);
$su =  mysql_fetch_row($result);

if($su[0])
{
	if(isset($_POST['cancel']))
	{
		unset($_SESSION['manage_admins_data']);
		print_back('manage_admins');
	}
	elseif(isset($_POST['save']))
	{
		$admin_id = $_SESSION['manage_admins_data']['id'];
		$sql = "SELECT username, admin_name, admin_email, password FROM admin WHERE id = $admin_id";
		$result = my_query($sql, $mysql_handler);
		$row = mysql_fetch_assoc($result);

		$set_pass = false;
		$pass_error = false;
	
		if(!empty($_POST['password']) && !empty($_POST['vpassword']))
		{
			if($_POST['password'] == $_POST['vpassword'])
				$set_pass = true;
			else
				$pass_error = true;
		}

		$username = clean_string($_POST['username']);
		$admin_name = clean_string($_POST['admin_name']);
		$admin_email = clean_string(strtolower($_POST['admin_email']));
		$admin_su = clean_string($_POST['su']);

		$sql = "SELECT id FROM admin WHERE username = '$username'";
		$names_check = my_query($sql, $mysql_handler);
		$username_admins = mysql_num_rows($names_check);
		$admin_names = mysql_fetch_assoc($names_check);

		if(!$pass_error && !empty($username) && !empty($admin_name) && !empty($admin_email) && (!$username_admins || $admin_names['id'] == $admin_id))
		{
			if($set_pass)
			{
				$password = md5($_POST['password']);
				$sql = "UPDATE admin SET superuser = '$admin_su', password = '$password', username = '$username', admin_name = '$admin_name', admin_email = '$admin_email' WHERE id = $admin_id";
			}
			else
			{
				$sql = "UPDATE admin SET superuser = '$admin_su', username = '$username', admin_name = '$admin_name', admin_email = '$admin_email' WHERE id = $admin_id";
			}

			$result = my_query($sql, $mysql_handler);

			if($admin_names['id'] == $_SESSION['admin_id'])
				$_SESSION['admin_name'] = $admin_name;

			unset($_SESSION['manage_admins_data']);
			print_back('manage_admins');
		}
		else
		{
			$further_err = true;
			$errortext = '';
			if($username_admins > 0 && $admin_names['id'] != $admin_id)
			{
				$status[] = array('type' => 'error', 'text' => 'The username is alredy in use, please select another.');
			}
			if(empty($username) || empty($admin_name) || empty($admin_email))
			{
				$status[] = array('type' => 'error', 'text' => 'Fields can\'t be empty!');
			}
			if($pass_error)
			{
				$status[] = array('type' => 'error', 'text' => 'The passwords did not match!');
			}
		}
	}

	$admin_id = $_SESSION['manage_admins_data']['id'];
	$sql = "SELECT username, admin_name, admin_email, password, superuser FROM admin WHERE id = $admin_id";	
	$result = my_query($sql, $mysql_handler);
	$row = mysql_fetch_assoc($result);

	if(isset($_POST['username']))
		$row['username'] = $_POST['username'];

	if(isset($_POST['admin_name']))
		$row['admin_name'] = $_POST['admin_name'];

	if(isset($_POST['admin_email']))
		$row['admin_email'] = $_POST['admin_email'];	

	$string_desc = "Modify an admin in the system. Every admin has to have a username, and admin name, an email and a password.";

	if($admin_id == $_SESSION['admin_id'])
		$string_desc .= "<br />You can not change your own superuser status.";

	if(!error_to_report($status))
		$status[] = array('type' => 'description', 'text' => "$string_desc");

	pageHeader($pagetitle, $path, $path_back, $status);

	?>

	<form name="change_admin" action="index.php" method="post">
	<input type="hidden" name="page" value="change_admin" />
	<input type="hidden" name="admin_id" value="<?php echo $admin_id; ?>" />

	<table>
		<tr>
			<td><b>Username:</b><br />
			<input type="text" name="username" value="<?php echo get_print_value($row['username']); ?>" /><br/></td>
		</tr>

		<tr>
			<td><b>Admin name:</b><br />
			<input type="text" name="admin_name" value="<?php echo get_print_value($row['admin_name']); ?>" /><br/></td>
		</tr>

		<tr>
			<td><b>Admin E-mail:</b><br />
			<input type="text" name="admin_email" value="<?php echo get_print_value($row['admin_email']); ?>" /><br/></td>
		</tr>

		<tr>
			<td><b>New password:</b><br />
			<input type="password" name="password" /><br/></td>
		</tr>

		<tr>
			<td><b>Retype new password:</b><br />
			<input type="password" name="vpassword" /><br/></td>
		</tr>

		<tr>
			<td>
			<input type="checkbox" <?php if($admin_id == $_SESSION['admin_id'])echo 'disabled="disabled"'; ?> class="checkbox" <?php if($admin_id == $_SESSION['admin_id']) echo 'name="su0"'; else echo 'name="su"'; ?> id="su" value="1" <?php if($row['superuser'])echo 'checked="checked"'; ?> /><label for="su">Superuser (can manage admins)</label><br/></td>
		</tr>

		<tr>
			<td align="right">
			<?php if($admin_id == $_SESSION['admin_id']) echo '<input type="hidden" name="su" value="'.$row['superuser'].'"/> '; ?>
				<br /><input type="submit" name="save" class="button_green button_nearwide" value="Modify Admin" />&nbsp;<input type="submit" name="cancel" class="button_red button_nearwide"  value="Cancel" />
			</td>
		</tr>

	</table>
	</form>

	<?php
	pageFooter();
}
else
{
	$status[] = array('type' => 'error', 'text' => 'You are not allowed to view this page.', 'size' => 'normal');
	pageHeader($pagetitle, $path, $path_back, $status);
	pageFooter();
}
?>