<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: change_categories.inc.php,v 1.22 2006/06/07 10:42:36 medea8 Exp $
*/

// Print pathborder
$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
$path[] = array('href' => return_href('manage_categories'), 'name' => 'Manage Categories');
if(count($_POST['rows']) == 1)
	$path[] = array('href' => '', 'name' => 'Modify Category');
else
	$path[] = array('href' => '', 'name' => 'Modify Categories');
$path_back = return_href('manage_categories');

$pagetitle = 'Modify Category';

if(!$_SESSION['owner_questionnaire'])
{
	if(count($_POST['rows']) == 1)
		$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can change a category!');
	else
		$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can change categories!');
}
else
{
	if(is_array($_POST['categorie']) && !isset($_POST['cancel']))
	{
		$emptyrows = array();
		foreach($_POST['categorie'] AS $id => $text)
		{
			if(is_numeric($id))
			{
				$text = clean_string($text);
				if(empty($text))
					$emptyrows[] = $id;
			}
		}
		if(count($emptyrows) == 0)
		{
			foreach($_POST['categorie'] AS $key => $text)
			{
				if(!empty($text) && is_numeric($key))
				{
					$text = clean_string($text);
					$sql = "UPDATE question_categories SET name = '$text' WHERE id = $key";
					my_query($sql,$mysql_handler);
				}
			}
			
			print_back('manage_categories');
		}
	}
	
	if((is_array($_POST['rows']) || is_array($_POST['categorie'])) && !isset($_POST['cancel']))
	{
		if(count($emptyrows) > 0)
		{
			$status[] = array('type' => 'error', 'text' => 'All categories have to have a name.');
		}
		elseif(count($_POST['rows']) == 1)
		{
			$status[] = array('type' => 'description', 'text' => 'Enter a new name for the category.');
		}
		else
		{
			$status[] = array('type' => 'description', 'text' => 'Enter new names for the categories.');
		}
		pageHeader($pagetitle, $path, $path_back, $status);
?>
		<form name="change_categories" action="index.php" method="post">
		<input type="hidden" name="page" value="change_categories" />
		<table>
		<tr><td><b>Name of category:</b></td>
	</tr>
	<?php
		if(isset($_POST['rows']))
		{
			foreach($_POST['rows'] AS $id)
			{
				if(is_numeric($id))
				{
					$result = my_query("SELECT name FROM question_categories WHERE id = '" . $id . "'",$mysql_handler);
					$row = mysql_fetch_assoc($result);
					?>
					<tr>
						<td><input type="text" class="wide" name="categorie[<?php echo($id); ?>]" value="<?php echo get_print_value($row['name']); ?>" /></td>
					</tr>
					<?php
				}
			}
		}
		elseif(isset($_POST['categorie']))
		{
			foreach($_POST['categorie'] AS $id => $value)
			{
				if(is_numeric($id))
				{
					?>
					<tr>
						<td><input type="text" name="categorie[<?php echo($id); ?>]" value="<?php echo get_print_value($value); ?>" /></td>
					</tr>
					<?php
				}
			}
		}
	?>
			<tr>
				<td><br /><input type="submit" name="submit" class="button_green button_normal" value="Change" />&nbsp;<input type="submit" class="button_red button_normal" name="cancel" value="Cancel" /></td>
			</tr>
		</table>
		</form>
	<?php
		pageFooter();
	}
	else
		print_back('manage_categories');
}
?>