<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: confirm.inc.php,v 1.6 2006/06/07 13:25:18 medea1 Exp $
*/


$pagetitle = 'Confirm delete';
$ok = 0;

if(isset($_REQUEST['page']) && $_REQUEST['page'] != "confirm")
{
	unset($_SESSION['data_confirm']);
	$_SESSION['data_confirm']['page'] = $_REQUEST['page'];
	$_SESSION['data_confirm']['confirmed'] = false;
}

if(isset($_POST['confirm']))
{
	$_SESSION['data_confirm']['confirmed'] = true;
	print_back($_SESSION['data_confirm']['back']);
}

if(isset($_POST['cancel']))
{
	$tmp = $_SESSION['data_confirm']['back'];
	unset($_SESSION['data_confirm']);
	print_back($tmp);
}

if($_SESSION['data_confirm']['page'] == "action_manage_questionnaire_users")
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('action_manage_questionnaire_users'), 'name' => 'Manage Users');
	$path[] = array('href' => '', 'name' => 'Confirm delete');
	$path_back = return_href('manage_questionnaire_users');
	$_SESSION['data_confirm']['back'] = "manage_questionnaire_users";

	$status[] = array('type' => 'warning', 'text' => 'Are you sure you wish to delete the following items?');

	if(is_array($_POST['list']))
	{
		foreach($_POST['list'] AS $id)
		{
			$ok = 0;

			if(strtolower(substr($id, 0, 4)) == "file")
			{
				$file = substr($id, 4);
				if(is_numeric($file) && $file != 0)
				{
					$ok = 1;
					$sql = "SELECT name FROM users WHERE id = $file";
					$result = my_query($sql, $mysql_handler);
					$data = mysql_fetch_assoc($result);

					$_SESSION['data_confirm']['list'][$id]['class'] = "user";
					$_SESSION['data_confirm']['list'][$id]['type'] = "user";
				}
				
			}
			elseif(strtolower(substr($id, 0, 6)) == "folder")
			{
				$folder = substr($id, 6);
				if(is_numeric($folder)  && $folder != 0)
				{
					$ok = 1;
					$sql = "SELECT name FROM folders_users WHERE id = $folder";
					$result = my_query($sql, $mysql_handler);
					$data = mysql_fetch_assoc($result);

					$_SESSION['data_confirm']['list'][$id]['class'] = "group";
					$_SESSION['data_confirm']['list'][$id]['type'] = "group";
				}
			}

			if($ok)
				$_SESSION['data_confirm']['list'][$id]['value'] = $data['name'];
		}
	}
}

if($_SESSION['data_confirm']['page'] == "action_manage_questionnaires")
{
	// Print pathborder
	$path[] = array('href' => '', 'name' => 'Confirm Delete');
	$path_back = return_href('manage_questionnaires');
	$_SESSION['data_confirm']['back'] = "manage_questionnaires";

	$status[] = array('type' => 'warning', 'text' => 'Are you sure you wish to delete the following items?');

	if(is_array($_POST['list']))
	{
		foreach($_POST['list'] AS $id)
		{
			$ok = 0;

			if(strtolower(substr($id, 0, 4)) == "file")
			{
				$file = substr($id, 4);
				if(is_numeric($file) && $file != 0)
				{
					$ok = 1;
					$sql = "SELECT name FROM questionnaires WHERE id = $file";
					$result = my_query($sql, $mysql_handler);
					$data = mysql_fetch_assoc($result);

					$_SESSION['data_confirm']['list'][$id]['class'] = "questionnaire";
					$_SESSION['data_confirm']['list'][$id]['type'] = "questionnaire";
				}
				
			}
			elseif(strtolower(substr($id, 0, 6)) == "folder")
			{
				$folder = substr($id, 6);
				if(is_numeric($folder)  && $folder != 0)
				{
					$ok = 1;
					$sql = "SELECT name FROM folders_questionnaires WHERE id = $folder";
					$result = my_query($sql, $mysql_handler);
					$data = mysql_fetch_assoc($result);

					$_SESSION['data_confirm']['list'][$id]['class'] = "folder";
					$_SESSION['data_confirm']['list'][$id]['type'] = "folder";
				}
			}

			if($ok)
				$_SESSION['data_confirm']['list'][$id]['value'] = $data['name'];
		}
	}
}

if($_SESSION['data_confirm']['page'] == "action_manage_questions")
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('manage_questions'), 'name' => 'Manage Questions');
	$path[] = array('href' => '', 'name' => 'Confirm Delete');
	$path_back = return_href('manage_questions');

	$_SESSION['data_confirm']['back'] = "manage_questions";

	$status[] = array('type' => 'warning', 'text' => 'Are you sure you wish to delete the following items?');

	if(is_array($_POST['rows']))
	{
		foreach($_POST['rows'] AS $id)
		{
			if(is_numeric($id))
			{
				$ok = 1;
				$sql = "SELECT name FROM questions WHERE id = $id";
				$result = my_query($sql, $mysql_handler);
				$data = mysql_fetch_assoc($result);

				$_SESSION['data_confirm']['list'][$id]['class'] = "question";
				$_SESSION['data_confirm']['list'][$id]['type'] = "question";
				$_SESSION['data_confirm']['list'][$id]['value'] = $data['name'];
			}
		}
	}
}

if($_SESSION['data_confirm']['page'] == "action_manage_categories")
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => 'action_manage_categories', 'name' => 'Manage Categories');
	$path[] = array('href' => '', 'name' => 'Comfirm Delete');
	$path_back = return_href('manage_categories');
	
	$_SESSION['data_confirm']['back'] = "manage_categories";

	$status[] = array('type' => 'warning', 'text' => 'Are you sure you wish to delete the following categories?');

	if(is_array($_POST['rows']))
	{
		foreach($_POST['rows'] AS $id)
		{
			if(is_numeric($id))
			{
				$ok = 1;
				$sql = "SELECT name FROM question_categories WHERE id = $id";
				$result = my_query($sql, $mysql_handler);
				$data = mysql_fetch_assoc($result);

				$_SESSION['data_confirm']['list'][$id]['class'] = "category";
				$_SESSION['data_confirm']['list'][$id]['type'] = "category";
				$_SESSION['data_confirm']['list'][$id]['value'] = $data['name'];
			}
		}
	}
}


pageHeader($pagetitle, $path, $path_back, $status);

echo "<form name='confirm_delete' action='index.php' method='post'>\n";
echo "<input type='hidden' name='page' value='confirm' />\n\t";

if(is_array($_SESSION['data_confirm']['list']))
{
	echo "<ul>\n";
	foreach($_SESSION['data_confirm']['list'] AS $id)
	{
		echo "\t<li";
		if(isset($id['class']))
			echo " class=\"".$id['class']."\"";
		echo ">";
		echo $id['value'];
		echo "</li>\n";
	}
	echo "</ul>\n";
}

echo "<br />\n\t<input type='submit' class='button_green button_normal' name='confirm' value='Delete' />\n\t";
echo "<input type='submit' class='button_red button_normal' name='cancel' value='Cancel' />\n\t";

echo "</form>";

pageFooter();
?>