<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: function_header.inc.php,v 1.17 2006/06/06 11:41:38 medea7 Exp $
*/
/* Description
   pagetitle:  Title of page
   pathBorder: Array for passing to print_pathborder()
   status:     array for printing status with print_status
               is an array of arrays: array('type' => <type>, 'text' => <text>)
*/
function pageHeader($pagetitle="", $path_border=array(), $path_border_back="", $status = array())
{
	global $mysql_handler;
	
	$site_query = "SELECT site_title, site_org FROM site_properties";
	$result = my_query($site_query, $mysql_handler);
	$query_result = mysql_fetch_assoc($result);
	
	if(strlen(stristr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'msie 6.0')) > 1)
	echo "<!-- Taking IE6 to quirksmode -->";
?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
		<head>
			<title>Zeus Administration</title>
			<script language="JavaScript" type="text/javascript" src="jscript/linkfunctions.js"></script>
			<script language="JavaScript" type="text/javascript" src="jscript/formfunctions.js"></script>

		<link rel="icon" href="img/favicon.ico" type="image/x-icon" />
		<link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon" />

<?php
		

			if($_SESSION['page_size'] == 'large' && $_REQUEST['page'] != 'login')
			{
				echo '	<link rel="stylesheet" href="zeus_large.css" type="text/css" />';
				echo '	<!--[if IE 6]><link rel="stylesheet" href="zeus_large_ie.css" type="text/css" /><![endif]-->';
			}
			else
			{	
				echo '	<link rel="stylesheet" href="zeus_normal.css" type="text/css" />';
				echo '	<!--[if IE 6]><link rel="stylesheet" href="zeus_normal_ie.css" type="text/css" /><![endif]-->';
			}


			if((strlen(stristr(strtolower($_SERVER["HTTP_USER_AGENT"]), 'msie 6.0')) > 1) && $_REQUEST['page'] == 'login')
				echo '<!--[if IE 6]><link rel="stylesheet" href="ieloginfix.css" type="text/css" /><![endif]-->';

			if($_REQUEST['page'] == 'login' && $_SESSION['page_size'] == 'large')
				$_SESSION['page_size'] == 'normal';
		
		
?>	
		
		</head>
	
		<body>
<?php

		if($_SESSION['page_size'] == 'large')
		{
			$link = "index.php?size=normal&amp;page=".$_REQUEST['page'];
			$title = "Click here to make the pages smaller";
		}
		else
		{
			$link = "index.php?size=large&amp;page=".$_REQUEST['page'];
			$title = "Click here to make the pages larger";
		}


		if($_REQUEST['page'] != 'login')
		{
			echo '<div id="zoom"><a href="'.$link.'"><img id="zoomimg" src="img/zeus_pixel.gif" title="'.$title.'" alt="Zoom" /></a></div><div id="headline"><center><h1>' . $query_result['site_title'] .'</h1></center></div><div id="headerbg"><img src="img/zeus_pixel.gif" alt="" /></div><div id="header"><table width="100%"><tr><td align="right"><b>' . $_SESSION['admin_name'] . '</b><br />';

			if($_SESSION['superuser'])
				echo '<a href="' .  return_href('maintenance') . '">System maintenance</a>';

			echo '<br /><a href="';
			print_href('logout');
			echo '">Log out</a></td></tr></table></div>';

			print_pathborder($path_border, $path_border_back);

			if(!empty($pagetitle))
			echo("<h2>$pagetitle</h2>");
		}
		$error = "";
		$ok = "";

		if(count($status) > 0)
		{
			foreach($status AS $stats)
			{
				if($stats['type'] == "error")
					$error .= $stats['text']."<br />";
				elseif($stats['type'] == "ok")
					$ok .= $stats['text']."<br />";
				else
				{
					if(isset($stats['size']))
						print_status($stats['type'], $stats['text'], $stats['size']);
					else
						print_status($stats['type'], $stats['text']);
				}
			}
			if($error != "")
				print_status("error", $error);
			if($ok != "")
				print_status("ok", $ok);
		}
}

function pageFooter()
{
	global $mysql_handler;
?>
		<br /><br />
		<span class="footer-ruler"></span> 
		<div class="footer-text">

		<table class="footer-text">
		<tr>

			<td align="left" valign="top" width="33%">
					Site manager:
<?php
					$sql = "SELECT site_user_site, site_manager_email, site_manager, site_org FROM site_properties";
					$result = my_query($sql, $mysql_handler);
					$answer = mysql_fetch_assoc($result);
					echo($answer['site_manager']);
					echo(", ");
					echo($answer['site_manager_email']);
?>
				<br />
				<?php if(!empty($answer['site_user_site'])) { ?><a href="<?php echo $answer['site_user_site']; ?>">User login</a><?php } ?>
			</td>

			<td align="center" valign="top" width="33%">

<?php
				if(!empty($answer['site_org']))
					echo $answer['site_org'];
				echo "<br />" . date("Y").'-'.date("m").'-'.date("d");
?>
			</td>

			<td align="right" valign="top">

				<a href="cookies.php">Information about cookies</a><br />
				<a href="about.php">About Zeus</a>

			</td>

		</tr>
		</table>
		</div>
		</div>
		<div id="left_background_thing"><img src="img/zeus_pixel.gif" alt="" /></div>

	</body>
	</html>
<?php
}

?>