<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: manage_admins.inc.php,v 1.19 2006/06/07 08:06:05 medea2 Exp $
*/

if(isset($_POST['append']))
	print_back('append_admin');
if(isset($_POST['modify']) && is_numeric($_POST['admin_id']) && $_POST['admin_id'] > 0)
{
	$_SESSION['manage_admins_data']['id'] = $_POST['admin_id'];
	print_back('change_admin');
}

$ok = 0;

// Print pathborder
$path[] = array('href' => return_href('maintenance'), 'name' => 'System maintenance');
$path[] = array('href' => '', 'name' => 'Manage Administrators');
$path_back = return_href('maintenance');

$pagetitle = 'Manage Administrators';

if($_SESSION['superuser'])
{
	if(isset($_POST['delete']))
	{
		if(!isset($_POST['admin_id']) || !is_numeric($_POST['admin_id']) || !$_POST['admin_id'] > 0)
			$status[] = array('type' => 'error', 'text' => "At least one admin must be selected!");
		else
		{
			$nmb_adm = mysql_fetch_row(my_query('SELECT COUNT(*) FROM admin', $mysql_handler));
			if( ($nmb_adm[0] > 1) && ($_POST['admin_id'] != $_SESSION['admin_id']) )
			{
				$admin_id = $_POST['admin_id'];
				$sql = "SELECT admin_name FROM admin WHERE id = $admin_id";
				$result = my_query($sql, $mysql_handler);
				$row = mysql_fetch_row($result);
				$admin_name = $row['0'];
				
				$sql = "DELETE FROM admin WHERE id = $admin_id";
				$result = my_query($sql, $mysql_handler);
				$status[] = array('type' => 'ok', 'text' => "Admin $username ($admin_name) was successfully removed from the database.");
				$ok = 1;
			}
			else
			{
				$status[] = array('type' => 'error', 'text' => "You tried to remove your self or there is only one administrator present, you can not remove all admins from the system!");
			}
		}
	}

	if(!error_to_report($status) && !$ok)
		$status[] = array('type' => 'description', 'text' => "You may create, modify and delete administrators from the system<br /> by selecting them in the list and clicking the corresponding button.");

	pageHeader($pagetitle, $path, $path_back, $status);
	?>
	<form id="manage_admins" name="manage_admins" action="index.php" method="post">
	<input type="hidden" name="page" value="manage_admins" />
	<table>
		<tr>
			<td><b>Select administrator:</b></td>
			<td></td>

		</tr>
		<tr>
		<td>
			<select name="admin_id" id="admin" class="wide" size="10" onchange="enable_object('modify');enable_object('delete');">

			<?php
			$i = 1;
			// Fetch system users
			$sql = "SELECT id, username, admin_name FROM admin ORDER BY admin_name";
			$result = my_query($sql, $mysql_handler);
			while($row = mysql_fetch_assoc($result))
			{
				if($i++ % 2)
					$class_c = 'odd';
				else
					$class_c = 'even';

				echo '<option class="'. $class_c .'" value="' .$row['id'] .'">';
				echo get_print_value($row['admin_name']) .' ('. get_print_value($row['username']) .')</option>';
			}
			?>

			</select>
		</td>
		<td valign="top">
			<input type="submit" class="button_blue button_normal" name="append" value="Append" /><br />
			<input type="submit" class="button_blue button_normal" id="modify" name="modify" value="Modify" /><br />
			<input type="submit" class="button_blue button_normal" id="delete" name="delete" value="Delete" /><br />
		</td>
		</tr>
	</table>
	
	</form>
	
	<script language="javascript" type="text/javascript"> disable_object('modify'); disable_object('delete'); </script>

	<?php
	pageFooter();
}
else
{
	$status[] = array('type' => 'error', 'text' => 'You are not allowed to view this page.', 'size' => 'normal');
	pageHeader($pagetitle, $path, $path_back, $status);
	pageFooter();
}
?>