<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: manage_questionnaire_users.inc.php,v 1.39 2006/06/07 12:57:38 medea1 Exp $
*/
$error = 0;
$ok = 0;
$disabled = 0;
$no_folders = false;

$sql = "SELECT id FROM folders_users";
$result = my_query($sql, $mysql_handler);

if(mysql_num_rows($result) == 0)
	$no_folders = true;

if(isset($_GET['folder']) && is_numeric($_GET['folder']) && $_GET['folder'] > 0)
{
	if($_SESSION['folder_data'][$_GET['folder']])
		$_SESSION['folder_data'][$_GET['folder']] = 0;
	else
		$_SESSION['folder_data'][$_GET['folder']] = 1;
}

// if(isset($_GET['file']) && is_numeric($_GET['file']) && $_GET['file'] > 0)
// {
// 	unset($_SESSION['change_user_data']);
// 	$_SESSION['change_user_data']['id'] = $_GET['file'];
// 	print_back("action_change_user");
// }

// Change users
if(isset($_POST['to_q']))
{
	$files = array();
	$folders = array();

	if(!$_SESSION['owner_questionnaire'])
	{
		$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can add users to the questionnaire!');
		$error = 1;
	}
	elseif(isset($_POST['list']))
	{
		foreach($_POST['list'] AS $id)
		{
			if(!(strpos($id, "file") === FALSE))
			{
				if(is_numeric(substr($id, 4)))
					$files[] = substr($id, 4);
			}
			elseif(!(strpos($id, "folder") === FALSE))
			{
				if(is_numeric(substr($id, 6)))
					$folders[] = substr($id, 6);
			}
		}

		foreach($files AS $id)
		{
			if(is_numeric($_SESSION['active_questionnaire']))
			{
				$q_id = $_SESSION['active_questionnaire'];
				$sql = "SELECT user_id FROM questionnaires_users WHERE questionnaire_id = $q_id AND user_id = $id";
				$result = my_query($sql, $mysql_handler);
				$data = mysql_fetch_row($result);
				if(!isset($data[0]))
				{
					$sql = "INSERT INTO questionnaires_users (questionnaire_id, user_id) VALUES('$q_id', '$id')";
					my_query($sql, $mysql_handler);
				}
			}
		}
		
		foreach($folders AS $Fid)
		{
			if(is_numeric($_SESSION['active_questionnaire']))
				add_folder_with_users_to_questionnaire($_SESSION['active_questionnaire'], $Fid, $mysql_handler);
		}
	}
	else
	{
		$status[] = array('type' => 'error', 'text' => 'You have to select users and/or folders to add to the questionnaire!');
		$error = 1;
	}
}
elseif(isset($_POST['to_sys']))
{
	$files = array();
	$folders = array();

	if(!$_SESSION['owner_questionnaire'])
	{
		$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can remove users from the questionnaire!');
		$error = 1;
	}
	elseif(!isset($_POST['list']))
	{
		$status[] = array('type' => 'error', 'text' => 'You have to select users and/or folders to remove from the questionnaire!');
		$error = 1;
	}
	else
	{
		foreach($_POST['list'] AS $id)
		{
			if(!(strpos($id, "file") === FALSE))
			{
				if(is_numeric(substr($id, 4)))
					$files[] = substr($id, 4);
			}
			elseif(!(strpos($id, "folder") === FALSE))
			{
				if(is_numeric(substr($id, 6)))
					$folders[] = substr($id, 6);
			}
		}

		foreach($files AS $id)
		{
			if(is_numeric($_SESSION['active_questionnaire']) && is_numeric($id))
			{
				$sql = "DELETE FROM questionnaires_users WHERE questionnaire_id = " . $_SESSION['active_questionnaire'] . " AND user_id = $id";
				$result = my_query($sql, $mysql_handler);
			}
		}
		
		foreach($folders AS $Fid)
		{
			if(is_numeric($_SESSION['active_questionnaire']))
				remove_folder_with_users_from_questionnaire($_SESSION['active_questionnaire'], $Fid, $mysql_handler);
		}

// 		foreach($_POST['qusers'] AS $id)
// 		{
// 			if(is_numeric($_SESSION['active_questionnaire']) && is_numeric($id))
// 			{
// 				$sql = "DELETE FROM questionnaires_users WHERE questionnaire_id = " . $_SESSION['active_questionnaire'] . " AND user_id = $id";
// 				$result = my_query($sql, $mysql_handler);
// 			}
// 		}
	}
}


// Delete users and groups - step 1: access and confirm.
if(isset($_POST['delete']) && isset($_POST['list']))
{
	if($_SESSION['superuser'])
	{
		if(is_array($_POST['list']) && !in_array("folder0", $_POST['list']))
		{
			$empty_folders = true;
	
			foreach($_POST['list'] AS $id)
			{
				if(!(strpos($id, "folder") === FALSE) && is_numeric(substr($id, 6)) && substr($id, 6) != 0)
				{
					$val = substr($id, 6);
					$sql = "SELECT * FROM users WHERE folder_id = $val";
					$result = my_query($sql, $mysql_handler);
					$data_files = mysql_fetch_assoc($result);
			
					$sql = "SELECT * FROM folders_users WHERE parent_folder = $val";
					$result = my_query($sql, $mysql_handler);
					$data_folders = mysql_fetch_assoc($result);
			
					if(!empty($data_files) || !empty($data_folders))
					{
						$empty_folders = false;
					}
				}
			}
			
			if($empty_folders)
			{
				unset($_SESSION['data_confirm']);
				include 'inc/confirm.inc.php';
				$disabled = 1;
			}
			else
			{
				$status[] = array('type' => 'error', 'text' => 'You can only delete empty folders.');
				$error = 1;
			}	
		}
		else
		{
			$status[] = array('type' => 'error', 'text' => 'You can\'t delete the root folder.');
			$error = 1;	
		}
	}
	else
	{
		$status[] = array('type' => 'error', 'text' => 'Only the superuser can delete users and groups.');
		$error = 1;
	}
}
elseif(isset($_POST['delete']))
{
	$status[] = array('type' => 'error', 'text' => 'You have to select the users and groups you wish to delete before pressing Delete.');
	$error = 1;
}

// Delete users and groups - step 2: delete it if confirmed.
if(isset($_SESSION['data_confirm']['list']) && $_SESSION['data_confirm']['page'] == 'action_manage_questionnaire_users' && $_SESSION['data_confirm']['confirmed'] == true)
{
	$files = array();
	$folders = array();



	foreach($_SESSION['data_confirm']['list'] AS $id => $arr)
	{
		if(!(strpos($id, "file") === FALSE))
		{
			if(is_numeric(substr($id, 4)))
				$files[] = substr($id, 4);
		}
		elseif(!(strpos($id, "folder") === FALSE))
		{
			if(is_numeric(substr($id, 6)) && substr($id, 6) != 0)
				$folders[] = substr($id, 6);
		}
	}

	$folders = array_reverse($folders);

	foreach($files AS $val)
	{
		$query = "DELETE FROM users WHERE id = $val";
		my_query($query, $mysql_handler);
	}
	
	foreach($folders AS $val)
	{
		$sql = "SELECT * FROM users WHERE folder_id = $val";
		$result = my_query($sql, $mysql_handler);
		$data_files = mysql_fetch_assoc($result);

		$sql = "SELECT * FROM folders_users WHERE parent_folder = $val";
		$result = my_query($sql, $mysql_handler);
		$data_folders = mysql_fetch_assoc($result);

		if(!empty($data_files) || !empty($data_folders))
		{
			$status[] = array('type' => 'error', 'text' => 'You can only delete empty folders.');
			$error = 1;
		}
		else
		{
			$sql = "DELETE FROM folders_users WHERE id = $val";
			my_query($sql, $mysql_handler);
		}
	}
	unset($_SESSION['data_confirm']);
}


if(!$disabled)
{
	if(is_numeric($_SESSION['active_questionnaire']))
	{
		// Fetch questionnaire users
		$sql = "SELECT qu.user_id, u.name FROM questionnaires_users AS qu, users AS u WHERE qu.questionnaire_id = '" . $_SESSION['active_questionnaire'] . "' AND qu.user_id = u.id ORDER BY u.name";
		$result1 = my_query($sql, $mysql_handler);
		while($row = mysql_fetch_row($result1))
		{
			$q_users[$row[0]] = $row[1];
		}
	}

	if(!$error && !$ok && !$actionerror && !error_to_report($status))
	{
		if($no_folders)
			$status[] = array('type' => 'description', 'text' => 'Add participants to the questionnaire by selecting users and clicking on the "Add Participants" button. You remove users in a simular fashion with the "Remove Participants" button. Participants in the questionnaire are marked with green sweaters.<br />Add a new user to the system by clicking on the "New User" button. Delete users, move users or groups by selecting them and pressing the appropriate button. Modify a user by selecting one user and click on the "Modify" button.<br />The system has no groups so you can\'t add new users! Please contact the superuser.');
		else
			$status[] = array('type' => 'description', 'text' => 'Add participants to the questionnaire by selecting users and clicking on the "Add Participants" button. You remove users in a simular fashion with the "Remove Participants" button. Participants in the questionnaire are marked with green sweaters.<br />Add a new user to the system by clicking on the "New User" button. Delete users, move users or groups by selecting them and pressing the appropriate button. Modify a user by selecting one user and click on the "Modify" button.');
	}
	
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => '', 'name' => 'Manage Users');
	$path_back = return_href('manage_questionnaire');
	
	$pagetitle = 'Manage Users';
	
	
	pageHeader($pagetitle, $path, $path_back, $status);
	
	?>
	
	<form name="manage_questionnaire_users" action="index.php" method="post">
	<input type="hidden" name="page" value="action_manage_questionnaire_users" />
	<table width="100%">
		<tr>
			<td class="filebrowser_manage_questionnaires" valign="top">
				<?php

					if(isset($_GET['file']) && is_numeric($_GET['file']))
						$file = $_GET['file'];
					else
						$file = 0;

					print_full_filetree(0, $_SESSION['folder_data'], "manage_questionnaire_users", $mysql_handler, 0, 1, "checkbox",0, $file, 1, 1, 1, -1, $q_users, $q_users, $_SESSION['page_size'], 1);
				?>
			</td>

			<td valign="top">
				<table>
					<tr>
						<td><input type="submit" class="button_wide button_green" name="to_q" value="Add Participants" /></td>
					</tr>
					<tr>
						<td><input type="submit" class="button_wide button_green" name="to_sys" value="Remove Participants" /></td>
					</tr>
					<tr>
						<td><br /><input class="button_wide button_blue" id="nUser" type="submit" name="new_user" value="New User"/></td>
					</tr>
					<?php if($_SESSION['superuser'])
						{
						?>
					<tr>
						<td><input class="button_wide button_blue" type="submit" name="new_group" value="New Group"/></td>
					</tr>
					<tr>
						<td><input class="button_wide button_blue" type="submit" name="delete" id="delete" value="Delete" /></td>
					</tr>
						<?php
						}
						?>
					<tr>
						<td><input class="button_wide button_blue" type="submit" name="move" id="move" value="Move" /></td>
					</tr>
					<?php if($_SESSION['superuser'])
						{
						?>
						<tr>
							<td><input class="button_wide button_blue" type="submit" name="modify" id="modify" value="Modify" /></td>
						</tr>
					<?php	}
						else
						{
						?>
						<tr>
							<td><input class="button_wide button_blue" type="submit" name="modify" id="modify" value="Modify User" /></td>
						</tr>
					<?php	} 
						?>
				</table>
			</td>
		</tr>
	</table>
	
	</form>
	<?php

	if($no_folders)
	{
		echo "<script language=\"javascript\" type=\"text/javascript\"> disable_object('nUser');</script>";
	}

	pageFooter();
}
?>