<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: manage_questionnaires.inc.php,v 1.72 2006/06/08 09:56:49 medea1 Exp $
*/

// Print pathborder
$path = array();
$pagetitle = "Manage questionnaires";

$owns_no_folders = false;
$error = 0;




if(isset($_GET['folder']) && is_numeric($_GET['folder']) && $_GET['folder'] > 0)
{
	if($_SESSION['folder_data'][$_GET['folder']])
		$_SESSION['folder_data'][$_GET['folder']] = 0;
	else
		$_SESSION['folder_data'][$_GET['folder']] = 1;
}
elseif(isset($_GET['file']) && is_numeric($_GET['file']) && $_GET['file'] > 0)
{
	$_SESSION['active_questionnaire'] = $_GET['file'];

	// Get questionnaire path
	$sql = "SELECT name FROM questionnaires WHERE id = '" . $_SESSION['active_questionnaire'] . "'";
	$result = my_query($sql, $mysql_handler);
	$questionnaire_name = mysql_result($result, 0);
	$path = get_absolute_path_string($_SESSION['active_questionnaire'], $mysql_handler, ', ', 0, 1);
	$path .= $questionnaire_name;
	if(strlen($path) > 30)
		$path = substr($path, 0, 30).'...';
	$path2 = get_absolute_path_string($_SESSION['active_questionnaire'], $mysql_handler, ', ', 0);
	$_SESSION['active_questionnaire_name'] = $path;
	$_SESSION['active_questionnaire_name_full'] = $path2 . $questionnaire_name;

	unset($_SESSION['folder_data']);

	$sql = "SELECT owner FROM questionnaires WHERE id = ".$_SESSION['active_questionnaire'];
	$result = my_query($sql, $mysql_handler);
	$data = mysql_fetch_row($result);

	if($data[0] == $_SESSION['admin_id'] || $_SESSION['superuser'])
		$_SESSION['owner_questionnaire'] = 1;
	else
		$_SESSION['owner_questionnaire'] = 0;

	print_back("manage_questionnaire");
}
elseif(isset($_SESSION['data_confirm']['list']) && $_SESSION['data_confirm']['page'] == 'action_manage_questionnaires' && $_SESSION['data_confirm']['confirmed'] == true)
{
	$files = array();
	$folders = array();

	foreach($_SESSION['data_confirm']['list'] AS $id => $arr)
	{
		if(!(strpos($id, "file") === FALSE))
		{
			if(is_numeric(substr($id, 4)))
				$files[] = substr($id, 4);
		}
		elseif(!(strpos($id, "folder") === FALSE))
		{
			if(is_numeric(substr($id, 6)) && substr($id, 6) != 0)
				$folders[] = substr($id, 6);
		}
	}
	
	unset($_SESSION['data_confirm']);

	$folders = array_reverse($folders);

	$notgood = false;

	foreach($files AS $id)
	{
		if(!access_to_file($_SESSION['admin_id'], $id, $mysql_handler))
			$notgood = true;
	}

	foreach($folders AS $id)
	{
		if(!access_to_folder($_SESSION['admin_id'], $id, $mysql_handler))
			$notgood = true;
	}

	if($notgood)
	{
		$status[] = array('type' => 'error', 'text' => 'You do not have access to the selected folders and questionnaires!');
	}
	else
	{
		foreach($files AS $val)
		{
	
			$query = "DELETE FROM questionnaires WHERE id = $val";
			my_query($query, $mysql_handler);
	
			$query = "SELECT id FROM questions WHERE questionnaire_id = ". $val .";" ;
			$result = my_query($query, $mysql_handler);
			while($data = mysql_fetch_row($result))
			{
				$id = $data[0];

				$sql = "DELETE FROM question_alternatives WHERE question_id = $id";
				my_query($sql, $mysql_handler);

				$sql = "DELETE FROM in_category WHERE question_id = $id";
				my_query($sql, $mysql_handler);	
			}
	
			$query = "DELETE FROM questions WHERE questionnaire_id = ". $val .";" ;
			my_query($query, $mysql_handler);	
	
			$query = "DELETE FROM questionnaires_users WHERE questionnaire_id = ". $val .";" ;
			my_query($query, $mysql_handler);
	
			$query = "DELETE FROM question_categories WHERE questionnaire_id = ". $val .";" ;
			my_query($query, $mysql_handler);
	
			$query = "SELECT answer_id FROM answers WHERE questionnaire_id = ". $val;
			$result = my_query($query, $mysql_handler);
	
			while($row = mysql_fetch_row($result))
			{
				$query = "DELETE FROM questionnaires_data WHERE answer_id = ". $row[0];
				my_query($query, $mysql_handler);
			}
			$query = "DELETE FROM answers WHERE questionnaire_id = ". $val;
			my_query($query, $mysql_handler);
		}
		
		foreach($folders AS $val)
		{
			$sql = "SELECT * FROM questionnaires WHERE folder_id = $val";
			$result = my_query($sql, $mysql_handler);
			$data_files = mysql_fetch_assoc($result);
	
			$sql = "SELECT * FROM folders_questionnaires WHERE parent_folder = $val";
			$result = my_query($sql, $mysql_handler);
			$data_folders = mysql_fetch_assoc($result);
	
	
			if(!empty($data_files) || !empty($data_folders))
			{
				$status[] = array('type' => 'error', 'text' => 'You can only delete empty folders.');
				$error = 1;
			}
			else
			{
				$sql = "DELETE FROM folders_questionnaires WHERE id = $val";
				my_query($sql, $mysql_handler);
			}
		}
	}
}

if(!isset($_REQUEST['list']) && isset($_REQUEST['move']))
{
	$error = 1;
	$status[] = array('type' => 'error', 'text' => 'You have to select one or more folders/questionnaires to move!');
}

elseif(!isset($_REQUEST['list']) && isset($_REQUEST['delete']))
{
	$error = 1;
	$status[] = array('type' => 'error', 'text' => 'You have to select one or more folders/questionnaires to delete!');
}

$sql = "SELECT id FROM folders_questionnaires WHERE owner = ".$_SESSION['admin_id'];
$result = my_query($sql, $mysql_handler);

if(mysql_num_rows($result) == 0 && !$_SESSION['superuser'])
	$owns_no_folders = true;

if(!$error && !$actionerror && !$action_not_empty)
{
	if($owns_no_folders)
		$status[] = array('type' => 'description', 'text' => 'Use the questionnaire browser below to select the questionnaire you wish to edit. You can move or delete questionnaires and/or folders by selecting them. <br /> You can only create new questionnaires in folders you own. You can create new folders in the root (/) directory and inside folders you own. Folders you own are marked with a star.');
	else
		$status[] = array('type' => 'description', 'text' => 'Use the questionnaire browser below to select the questionnaire you wish to edit. You can move or delete questionnaires and/or folders by selecting them.');
}

pageHeader($pagetitle, $path, '', $status);



?>
<form name="filebrowser" id="filebrowser" method="post" action="index.php">
	<input type="hidden" name="page" value="action_manage_questionnaires" />

	<table width="100%">
		<tr>
			<td class="filebrowser_manage_questionnaires" valign="top">
					<?php
						if(is_numeric($_GET['folder']))
							//selected_row = $_GET['folder'];
							$selected_row = 0;
						else
							$selected_row = 0;
						print_full_filetree(0, $_SESSION['folder_data'], "manage_questionnaires", $mysql_handler, 0, 1, "checkbox", $selected_row, 0, 1, 0, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
					?>
			</td>
			<td valign="top">
				<table>
					<tr>
						<td><input type="submit" value="New Questionnaire" id="nQuestionnaire" name="new_questionnaire"  class="button_wide button_blue" /></td>
					</tr>
					<tr>
						<td><input type="submit" value="New Folder" name="new_folder" class="button_wide button_blue" /></td>
					</tr>
					<tr>
						<td><br /><input type="submit" value="Delete" name="delete" class="button_wide button_blue" /></td>
					</tr>
					<tr>
						<td><input type="submit" value="Move" name="move" class="button_wide button_blue" /></td>
					</tr>
					<tr>
						<td><input type="submit" value="Rename" name="rename" class="button_wide button_blue" /></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</form>
<?php


if($owns_no_folders)
{
	echo "<script language=\"javascript\" type=\"text/javascript\"> disable_object('nQuestionnaire');</script>";
}

pageFooter();
?>