<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: manage_selected_answer.inc.php,v 1.43 2006/06/08 13:09:02 medea2 Exp $
*/

if(!isset($_SESSION['active_questionnaire']))
	print_back('manage_questionnaires');
else
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => '', 'name' => 'Manage Answers');
	$path_back = return_href('manage_questionnaire');

	$pagetitle = 'Manage Answers';

	pageHeader($pagetitle, $path, $path_back);

	if(!$_SESSION['owner_questionnaire'])
	{
		print_error_back("Only the owner of the questionnaire can see the answers to the questionnaire.", "manage_questionnaire");
	}
	else
	{
		print_status('description', "Manage all the registered answers to the questionnaire.");
	
		echo '<center><table><tr><td class="link_button_table">';
		print_button('report','Report','Click here to show the report for this questionnaire. The report contains statistic information about the questionnaire.','show_report');
		echo '</td><td>';
		print_button('participant','Participants','Click here to show users who has participated in this questionnaire. It is also possible to send e-mail messages to these users.','show_participants');
		echo '</td></tr><tr><td>';
		print_button('individual_answer','Individual Answers','Click here to show individual answers for each participant. It is also possible to export all the individual answers to text files.','show_individual_answers');
		echo '</td><td>';
		print_button('report_comment','Comment Results','Click here to comment the result of the questionnaire. The "visible comments" will be shown in the report.','comment_results');
		echo '</td></tr>';
		echo '</table></center>';
	

	}
	pageFooter();
}
?>