<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: new_user.inc.php,v 1.2 2006/06/07 10:08:52 medea2 Exp $
*/

$sql = "SELECT id FROM folders_users";
$result = my_query($sql, $mysql_handler);

if(mysql_num_rows($result) == 0)
	$no_folders = true;

	
if($no_folders)
{
	print_back("manage_questionnaire_users");
}
else
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('action_manage_questionnaire_users'), 'name' => 'Manage Users');
	$path[] = array('href' => '', 'name' => 'New User');
	
	$path_back = return_href('action_manage_questionnaire_users');
	
	$pagetitle = 'New User';
	
	$error = 0;
	
	if(isset($_POST['cancel']))
		print_back('manage_questionnaire_users');
	
	if(!empty($_POST['name']) && !empty($_POST['email']) && !empty($_POST['password']) && !empty($_POST['location_id']))
	{
	
		$name = clean_string($_POST['name']);
		$email = clean_string(strtolower($_POST['email']));
		$password = md5($_POST['password']);
		$owner = $_SESSION['admin_id'];
		$folder_id = $_POST['location_id'];
	
		if(is_numeric($owner) && is_numeric($folder_id))
		{
			$sql = "SELECT id FROM users WHERE email = '".$_POST['email']."'";
			$result = my_query($sql, $mysql_handler);
			$row = mysql_fetch_assoc($result);
			
			if(!isset($row['id']))
			{
				$sql = "INSERT INTO `users` (name, email, password, folder_id, owner) VALUES ('$name', '$email', '$password', $folder_id, $owner)";
				$commit = my_query($sql, $mysql_handler);
		
				print_back("manage_questionnaire_users");
			}
			else
			{
				$status[] = array('type' => 'error', 'text' => 'User e-mail adress already exists.');
				$error = 1;
			}
		}
	}
	
	if(isset($_POST['name']) && (empty($_POST['name']) || empty($_POST['email']) || empty($_POST['password']) || empty($_POST['location_id'])))
	{
		$status[] = array('type' => 'error', 'text' => 'You have to enter all the fields.');
		$error = 1;
	}
	elseif(!isset($_POST['add']))
		$status[] = array('type' => 'description', 'text' => 'Add a new user to the system. Every user has to have a name, an email and a password.');
	
	pageHeader($pagetitle, $path, $path_back, $status);
	
	if(!isset($_POST['add']) || $error == 1)
	{
		?>
		<form name="zeus" action="index.php" method="post">
			<input type="hidden" name="page" value="action_new_user" />
			<input type="hidden" name="location_id" value="<?php if(isset($_SESSION['data_new_user']['parent_folder']['id'])) echo $_SESSION['data_new_user']['parent_folder']['id']; else echo 0; ?>" />	
		
		<table>
		
			<tr>
		
				<td colspan="2"><b>Name:</b><br /><input type="text" class="wide" name="name" value="<?php echo get_print_value($_SESSION['data_new_user']['name']); ?>" /><br/></td>
			
			</tr>
		
			<tr>
		
				<td colspan="2"><b>E-mail:</b><br /><input type="text" class="wide" name="email"  value="<?php echo get_print_value($_SESSION['data_new_user']['email']); ?>" /><br/></td>
			</tr>
			<tr>
		
				<td colspan="2"><b>Password:</b><br /><input type="text" class="wide" name="password" value="<?php echo get_print_value($_SESSION['data_new_user']['password']); ?>" /><br/></td>
	
		</tr>
		<tr>
			<td>	<b>Group:</b><br/>
			<input type="text" class="wide" readonly="readonly" name="parent_folder" value="<?php echo get_print_value($_SESSION['data_new_user']['parent_folder']['name']); ?>" /></td>
			<td valign="bottom"><input type="submit" class="button_blue button_nearwide" name="select_location" value="Select location" /></td>
		</tr>
		
		<tr>
	
			<td colspan="2">
				<br /><input type="submit" name="add" class="button_green button_nearwide" value="Add" />&nbsp;<input type="submit" name="cancel" class="button_red button_nearwide"  value="Cancel" />
			</td>
		</tr>
		</table>	
			</form>
		<?php
	}
	pageFooter();
}
?>