<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: select_folder.inc.php,v 1.31 2006/06/07 08:24:15 medea8 Exp $
*/
if(isset($_REQUEST['page']) && $_REQUEST['page'] != "select_folder")
	$_SESSION['data_select_folder']['page'] = $_REQUEST['page'];

if($_SESSION['data_select_folder']['page'] == "new_folder")
{
	// Print pathborder
	$path[] = array('href' => return_href('new_folder'), 'name' => 'New Folder');
	$path[] = array('href' => '', 'name' => 'Select folder');
	$path_back = return_href('new_folder');
}

if($_SESSION['data_select_folder']['page'] == "manage_users_order")
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('action_manage_questionnaire_users'), 'name' => 'Manage Users');
	$path[] = array('href' => '', 'name' => 'Move Users');
	$path_back = return_href('action_manage_questionnaire_users');
}

if($_SESSION['data_select_folder']['page'] == "action_new_group")
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('action_manage_questionnaire_users'), 'name' => 'Manage Users');
	$path[] = array('href' => return_href('action_new_group'), 'name' => 'Append Group');
	$path[] = array('href' => '', 'name' => 'Select Group');
	$path_back = return_href('action_new_group');
}
if($_SESSION['data_select_folder']['page'] == "manage_questionnaires_order")
{
	// Print pathborder
	$path[] = array('href' => '', 'name' => 'Move Questionnaires and Folders');
	$path_back = return_href('manage_questionnaires');
}

if($_SESSION['data_select_folder']['page'] == "action_new_user")
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('manage_questionnaire_users'), 'name' => 'Manage Users');
	$path[] = array('href' => return_href('new_user'), 'name' => 'New User');
	$path[] = array('href' => '', 'name' => 'Select folder');
	$path_back = return_href('manage_questionnaire_users');
}

if($_SESSION['data_select_folder']['page'] == "append_to_questionnaire")
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => '', 'name' => 'Append Questionnaire');
	$path_back = return_href('manage_questionnaire');
}

if($_SESSION['data_select_folder']['page'] == "new_questionnaire")
{
	// Print pathborder
	$path[] = array('href' => return_href('new_questionnaire'), 'name' => 'New Questionnaire');
	$path[] = array('href' => '', 'name' => 'Select folder');
	$path_back = return_href('new_questionnaire');
}

if(isset($_POST['cancel']))
{
	if($_SESSION['data_select_folder']['page'] == "new_folder")
		$page = "new_folder";

	elseif($_SESSION['data_select_folder']['page'] == "new_questionnaire")
		$page = "new_questionnaire";

	elseif($_SESSION['data_select_folder']['page'] == "manage_questionnaires_order")
		$page = "manage_questionnaires";

	elseif($_SESSION['data_select_folder']['page'] == "action_new_user")
		$page = "new_user";

	elseif($_SESSION['data_select_folder']['page'] == "action_new_group")
		$page = "new_group";

	elseif($_SESSION['data_select_folder']['page'] == "append_to_questionnaire")
		$page = "manage_questionnaire";

	elseif($_SESSION['data_select_folder']['page'] == "manage_users_order")
		$page = "manage_questionnaire_users";

	unset($_SESSION['data_select_folder']);
	print_back($page);
}
if(isset($_GET['folder']) && is_numeric($_GET['folder']) && $_GET['folder'] > 0)
{
	if($_SESSION['data_select_folder']['folder'][$_GET['folder']])
		$_SESSION['data_select_folder']['folder'][$_GET['folder']] = 0;
	else
		$_SESSION['data_select_folder']['folder'][$_GET['folder']] = 1;
}


if(isset($_POST['submit_folder']) && isset($_POST['list']))
{
	$folder = substr($_POST['list'][0], 6);
	$file = substr($_POST['list'][0], 4);

	if($_SESSION['data_select_folder']['page'] == "new_folder" &&  is_numeric($folder))
	{
		$string = get_parent_folders_string($folder, $mysql_handler);

		$_SESSION['new_folder_data']['parent_folder']['id'] = $folder;
		$_SESSION['new_folder_data']['parent_folder']['name'] = $string;

		$page = "new_folder";
	}
	elseif($_SESSION['data_select_folder']['page'] == "action_new_group" &&  is_numeric($folder))
	{
		$string = get_parent_folders_string($folder, $mysql_handler, "/", 1);

		$_SESSION['new_group_data']['parent_folder']['id'] = $folder;
		$_SESSION['new_group_data']['parent_folder']['name'] = $string;

		$page = "new_group";
	}
	elseif($_SESSION['data_select_folder']['page'] == "new_questionnaire" &&  is_numeric($folder))
	{
		$string = get_parent_folders_string($folder, $mysql_handler);

		$_SESSION['new_questionnaire_data']['parent_folder']['id'] = $folder;
		$_SESSION['new_questionnaire_data']['parent_folder']['name'] = "/".$string;

		$page = "new_questionnaire";

	}
	elseif($_SESSION['data_select_folder']['page'] == "manage_questionnaires_order" &&  is_numeric($folder))
	{
		$string = get_parent_folders_string($folder, $mysql_handler);

		$_SESSION['move_questionnaires_data']['target_id'] = $folder;
		$_SESSION['move_questionnaires_data']['target_name'] = "/".$string;

		$page = "manage_questionnaires_order";
	}
	elseif($_SESSION['data_select_folder']['page'] == "append_to_questionnaire" &&  is_numeric($file))
	{
		$_SESSION['append_to_questionnaire_data']['target_id'] = $file;

		$page = "append_to_questionnaire";
	}
	elseif($_SESSION['data_select_folder']['page'] == "action_new_user" &&  is_numeric($folder))
	{
		$string = get_parent_folders_string($folder, $mysql_handler, "/", 1);

		$_SESSION['data_new_user']['parent_folder']['id'] = $folder;
		$_SESSION['data_new_user']['parent_folder']['name'] = "/".$string;

		$page = "new_user";
	}
	elseif($_SESSION['data_select_folder']['page'] == "manage_users_order" &&  is_numeric($folder))
	{
		$string = get_parent_folders_string($folder, $mysql_handler, "/", 1);

		$_SESSION['move_user_data']['target_id'] = $folder;
		$_SESSION['move_user_data']['target_name'] = "/".$string;

		$page = "manage_users_order";
	}

	unset($_SESSION['data_select_folder']);
	print_back($page);
}
elseif(isset($_POST['submit_folder']))
{
	$status[] = array('type' => 'error', 'text' => 'You have to select something.');
}

if($_SESSION['data_select_folder']['page'] == "action_new_group")
	$pagetitle = 'Select Group';
elseif($_SESSION['data_select_folder']['page'] != "manage_questionnaire_order")
	$pagetitle = 'Select Folder';
else
{
	$pagetitle = 'Move Questionnaires and Folders';
	
}
$fullerror = 0;
if(!error_to_report($status)) 
{
	if($_SESSION['data_select_folder']['page'] == "new_folder")
		$status[] = array('type' => 'description', 'text' => 'Select the location of the new folder.');
	
	elseif($_SESSION['data_select_folder']['page'] == "new_questionnaire")
	{
		$sql = "SELECT count(name) FROM folders_questionnaires";
		$result = my_query($sql, $mysql_handler);
		$data = mysql_fetch_row($result);

		if($data[0] <= 0)
		{
			$fullerror = 1;
			$status[] = array('type' => 'error', 'text' => 'No folders exists. Questionnaires can only be created in folders.');
		}
		else
			$status[] = array('type' => 'description', 'text' => 'Select the location of the new questionnaire.');
	}
	
	elseif($_SESSION['data_select_folder']['page'] == "action_new_user")
	{
		$pagetitle = "Select Group";
	
		$sql = "SELECT count(name) FROM folders_users";
		$result = my_query($sql, $mysql_handler);
		$data = mysql_fetch_row($result);

		if($data[0] <= 0)
		{
			$fullerror = 1;
			$status[] = array('type' => 'error', 'text' => 'No groups exists. Users can only be created in groups.');
		}
		else
			$status[] = array('type' => 'description', 'text' => 'Select the group for the new user.');
	}
	
	elseif($_SESSION['data_select_folder']['page'] == "action_new_group")
		$status[] = array('type' => 'description', 'text' => 'Select the location of the new group.');
	
	elseif($_SESSION['data_select_folder']['page'] == "manage_users_order")
		$status[] = array('type' => 'description', 'text' => 'Select where to move the users and/or folders you selected.');
	
	elseif($_SESSION['data_select_folder']['page'] == "append_to_questionnaire")
		$status[] = array('type' => 'description', 'text' => 'Use the questionnaire browser below to select the questionnaire you wish to append.');
	elseif($_SESSION['data_select_folder']['page'] == "manage_questionnaires_order")
		$status[] = array('type' => 'description', 'text' => 'Select where to move the questionnaires and/or folders you selected.');
}

pageHeader($pagetitle, $path, $path_back, $status);
if(!$fullerror)
{
	?>
	<form name="append_new_folder" action="index.php" method="post">
		<input type="hidden" name="page" value="select_folder" />
		<table border="0" width="100%">
			<tr>
				<td colspan="2">
	<?php
			if(is_numeric($_GET['folder']))
				$selected_row = $_GET['folder'];
			else
				$selected_row = 0;

			if(is_numeric($_GET['file']))
				$selected_file = $_GET['file'];
			else
				$selected_file = 0;

			
			if($_SESSION['data_select_folder']['page'] == "new_questionnaire")
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 0, "radio", $selected_row, $selected_file, 0, 0, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
			
			elseif($_SESSION['data_select_folder']['page'] == "action_new_user")
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 0, "radio", $selected_row, $selected_file, 0, 1, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
			
			elseif($_SESSION['data_select_folder']['page'] == "action_new_group")
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 0, "radio", $selected_row, $selected_file, 0, 1, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
			
			elseif($_SESSION['data_select_folder']['page'] == "append_to_questionnaire")
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 1, "radio", $selected_row, $selected_file, 0, 0, 0, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
	
			elseif($_SESSION['data_select_folder']['page'] == "manage_users_order" && count($_SESSION['move_user_data']['files']) == 0)
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 0, "radio", $selected_row, $selected_file, 1, 1, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
	
			elseif($_SESSION['data_select_folder']['page'] == "manage_users_order" && count($_SESSION['move_user_data']['files']) != 0)
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 0, "radio", $selected_row, $selected_file, 0, 1, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
		
			elseif(count($_SESSION['move_questionnaires_data']['files']) == 0)
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 0, "radio", $selected_row, $selected_file, 1, 0, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
	
			else
				print_full_filetree(0, $_SESSION['data_select_folder']['folder'], "select_folder", $mysql_handler, 0, 0, "radio", $selected_row, $selected_file, 0, 0, 1, $_SESSION['admin_id'], 0, 0, $_SESSION['page_size']);
	?>
				</td>
			</tr>
			<tr>
				<td colspan="2"><input type="submit" class="button_green button_normal" name="submit_folder" value="Select" />&nbsp;<input type="submit" class="button_red button_normal" name="cancel" value="Cancel" /></td>
			</tr>
		</table>
	</form>
	<?php
}
pageFooter();
?>