<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: show_categories.inc.php,v 1.8 2006/05/30 09:21:41 medea8 Exp $
*/

if(!isset($_SESSION['active_questionnaire']))
{
	print_back('manage_questionnaires');
}
else
{
	// Get questionnaire ID
	$sql = "SELECT name FROM questionnaires WHERE id = ".$_SESSION['active_questionnaire'];
	$result = my_query($sql, $mysql_handler);
	$questionnaire_name = mysql_fetch_row($result);

	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$questionnaire_name[0]);
	$path[] = array('href' => return_href('manage_selected_answer'), 'name' => 'Manage Answers');
	$path[] = array('href' => '', 'name' => 'Show Categories');
	print_pathborder($path);
	
	?>
	
	<h2>Show Categories</h2>
	
	<?php
	$questionnaire_id = $_SESSION['active_questionnaire'];
	
	$sql = "SELECT id, name FROM question_categories WHERE questionnaire_id = $questionnaire_id AND name != 'none'";
	
	$result = my_query($sql, $mysql_handler);
	
	if(mysql_num_rows($result) < 1)
	{
		print_status('error', "No categories in this questionnaire", 'normal');
	}
	else
	{
		print_status('description', 'Boxplots of all the recieved answers to the different questions in the questionnaire grouped by category. <br />The median is included as an actual value when count($answers) % 2 != 0 when calcuting first and third quartile.');

		while ($categories = mysql_fetch_assoc($result))
		{
			$catid = $categories['id'];
			$catname = $categories['name'];
		
			$sql = "SELECT qd.response, q.negate FROM questionnaires_data AS qd, answers AS a, in_category AS ic, questions AS q WHERE a.questionnaire_id = $questionnaire_id AND a.answer_id = qd.answer_id AND ic.category_id = $catid AND qd.question_id = ic.question_id AND q.id = ic.question_id";
		
			$answer = array();
		
			$result2 = my_query($sql, $mysql_handler);
			if(mysql_num_rows($result2) < 1)
			{
				print_status('error', "No questions i category");
			}
			else
			{
				while( $row = mysql_fetch_assoc($result2) )
				{
					if( $row['negate'] )
						$row['response'] = -$row['response'];
	
					$answer[] = $row['response'];
				}
		
				echo "<br />";
				echo $catname;
				echo "<br />";
			
				sort($answer);
				$q_max = max($answer);
				$q_min = min($answer);
			
				// Calculate median
				if( count($answer) % 2 == 0 )
				{
					$median_index = count($answer)/2-1;
					$q_median = ($answer[$median_index] + $answer[$median_index+1]) /2;
					$q1_upper = $median_index;
					$q3_lower = $median_index+1;
				}
				else
				{
					$median_index = count($answer)/2 - 0.5;
					$q_median = $answer[$median_index];
					$q1_upper = $median_index;
					$q3_lower = $median_index;
				}
				// Calculate quarters
				// unequal number of elements
				if( $q1_upper % 2 == 0)
				{
					$median_index = $q1_upper/2;
					$q_lower25 = $answer[$median_index];
					$q_upper25 = $answer[$q3_lower+$median_index];
				}
				else
				{
					$median_index = floor($q1_upper/2);
					$q_lower25 = ($answer[$median_index] + $answer[$median_index+1])/2;
					$q_upper25 = ($answer[$q3_lower+$median_index] + $answer[$q3_lower+$median_index+1])/2;
				}
				print_boxplot($q_min, $q_max, $q_lower25, $q_upper25, $q_median);
				echo('<br />');
			}
		}
	}
}
?>