<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: show_total.inc.php,v 1.11 2006/05/30 09:21:41 medea8 Exp $
*/

if(!isset($_SESSION['active_questionnaire']))
{
	print_back('manage_questionnaires');
}
else
{
	// Get questionnaire ID
	$sql = "SELECT name FROM questionnaires WHERE id = ".$_SESSION['active_questionnaire'];
	$result = my_query($sql, $mysql_handler);
	$questionnaire_name = mysql_fetch_row($result);

	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$questionnaire_name[0]);
	$path[] = array('href' => return_href('manage_selected_answer'), 'name' => 'Manage Answers');
	$path[] = array('href' => '', 'name' => 'Show Total');
	print_pathborder($path);
	
	?>
	
	<h2>Show Total</h2>
	<?php
	
	
	$sql = "SELECT questionnaires_data.question_id, questions.negate, questionnaires_data.response, questions.name FROM questions, questionnaires_data, answers WHERE answers.questionnaire_id = {$_SESSION['active_questionnaire']} AND questionnaires_data.answer_id = answers.answer_id AND questionnaires_data.question_id = questions.id AND questions.questionnaire_id = {$_SESSION['active_questionnaire']};";

	$result = my_query($sql, $mysql_handler);

	if(mysql_num_rows($result) < 1)
	{
		print_status('error', "There is no answers for the select questionnaire!", 'normal');

		echo '<a href="';
		print_href('manage_selected_answer');
		echo('&amp;answers[]='.$_SESSION['active_questionnaire']);
		echo '">Go back</a>';
	}
	else
	{
		print_status('description', 'Boxplots of all the recieved answers to the different questions in the questionnaire. <br />The median is included as an actual value when count($answers) % 2 != 0 when calcuting first and third quartile.');

		while( $row = mysql_fetch_assoc($result) )
		{
			if( $row['negate'] )
				$row['response'] = -$row['response'];
				
			$question[$row['question_id']][] = $row['response'];
			$question_name[$row['question_id']] = $row['name'];
		}
		foreach($question AS $id=>$answer)
		{
			echo "<br />";
			echo $question_name[$id];
			echo "<br />";
			
			

			print_boxplot(get_quartiles($answer));
			echo('<br />');
		}
	}
}
?>
