<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: select_questionnaire.inc.php,v 1.17 2006/06/07 07:35:52 medea2 Exp $
*/


$user_id = $_SESSION['user_id'];

$query = "SELECT q.id, q.name, q.deadline FROM questionnaires AS q, questionnaires_users AS u WHERE q.published > 0 AND u. user_id = $user_id AND q.id = u. questionnaire_id AND u.response_time = 0 ORDER BY q.name";


$result = my_query($query, $mysql_handler);

$pagetitle = 'Welcome to Zeus';

pageHeader($pagetitle);


$_SESSION['back_page'] = 'select_questionnaire';

if(mysql_num_rows($result) > 0)
{
	print_status('description', 'Select a questionnaire to answer.');
?>

<form name="questionnaires" action="<?php print_href('questions');?>" method="post">
<b>Select a questionnaire to answer:</b><br />
<select name="select_questionnaire" id="select_questionnaire" size="5" onchange="enable_object('submit')" class="quest">
		<?php
			while($row = mysql_fetch_assoc($result))
			{
				if($i++ % 2)
					$class_c = 'odd';
				else
					$class_c = 'even';

				$time = date("Y-m-d H:i", $row['deadline']);
				
				echo '<option class="'.$class_c.'" value="' . $row['id'] . '">';
				
				$absolute_path = get_absolute_path_string($row['id'], $mysql_handler, "/");

				echo $absolute_path;
 				echo $row['name'] .' - Deadline: '.$time.'</option>';
			}
		?>
	</select><br /><br />
	<input type="submit" value="Answer" class="button_blue button_normal" id="submit" name="submit" />
</form>
<script language="javascript" type="text/javascript"> disable_object('submit');</script>
<?php
}
else
{
	print_status('description', 'Select report.');
	$time = time();
	
	$query = "SELECT q.id, q.name, q.deadline FROM questionnaires AS q, questionnaires_users AS u WHERE q.published > 0 AND q.report_published = 1 AND u.user_id = $user_id AND q.id = u.questionnaire_id AND q.deadline < $time ORDER BY q.name";
	$result = my_query($query, $mysql_handler);
?>
	
	<form name="reports" action="index.php" method="post">
	<input type="hidden" name="page" value="show_report" />
	<b>Select a report:</b><br />
	
	<select name="select_report" id="select_questionnaire" size="5" onchange="enable_object('submit')" class="quest">
<?php
	while($row = mysql_fetch_assoc($result))
	{
		if($i++ % 2)
			$class_c = 'odd';
		else
			$class_c = 'even';

		echo '<option class="'.$class_c.'" value="' .$row['id'] .'">' .$row['name'] .'</option>';
	}
?>
	</select><br /><br />
	<input type="submit" value="View report" class="button_blue button_nearwide" id="submit" name="submit" />
	</form>
	<script language="javascript" type="text/javascript"> disable_object('submit');</script>
<?php
}
pageFooter();
?>