<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: append_admin.inc.php,v 1.2 2006/06/08 09:44:06 medea1 Exp $
*/

// Print pathborder
$path[] = array('href' => return_href('maintenance'), 'name' => 'System maintenance');
$path[] = array('href' => return_href('manage_admins'), 'name' => 'Manage Administrators');
$path[] = array('href' => '', 'name' => 'Append Administrator');
$path_back = return_href('manage_admins');

$pagetitle = 'Append Administrator';

$sql = "SELECT superuser FROM admin WHERE id = ".$_SESSION['admin_id'];
$result = my_query($sql, $mysql_handler);
$su =  mysql_fetch_row($result);

if($su[0])
{
	if(isset($_POST['cancel']))
	{
		unset($_SESSION['manage_admins_data']);
		print_back('manage_admins');
	}
	elseif(isset($_POST['add']))
	{
		if(!empty($_POST['password']) && !empty($_POST['vpassword']))
		{
			$empty_password = false;
			
			if($_POST['password'] == $_POST['vpassword'])
			{
				$password_match = true;
			}
			else
				$password_match = false;
		}
		else
			$empty_password = true;

		$username = clean_string($_POST['username']);
		$admin_name = clean_string($_POST['admin_name']);
		$admin_email = clean_string(strtolower($_POST['admin_email']));
		$admin_su = clean_string($_POST['su']);

		$result = mysql_fetch_row(my_query("SELECT admin_email FROM admin WHERE admin_email = '$admin_email'", $mysql_handler));

		if( empty($result[0]) && $password_match && !$empty_passwords && !empty($username) && !empty($admin_name) && !empty($admin_email))
		{
			$password = md5($_POST['password']);
			$sql = "INSERT INTO admin SET superuser = '$admin_su', password = '$password', username = '$username', admin_name = '$admin_name', admin_email = '$admin_email'";
			
			$result = my_query($sql, $mysql_handler);
			
			print_back('manage_admins');
		}
		else
		{
			if(empty($username) || empty($admin_name) || empty($admin_email) || $empty_password)
			{
				$status[] = array('type' => 'error', 'text' => "You have to enter all fields!");
			}
			if(!$password_match)
			{
				$status[] = array('type' => 'error', 'text' => "Password missmatch!");
			}
			if(!empty($result[0]))
			{
				$status[] = array('type' => 'error', 'text' => "Admin with that email already exists!");
			}
		}
	}
	elseif(isset($_POST['cancel']))
		print_back('manage_admins');
	
	if(isset($_POST['username']))
		$row['username'] = $_POST['username'];
	
	if(isset($_POST['admin_name']))
		$row['admin_name'] = $_POST['admin_name'];
	
	if(isset($_POST['admin_email']))
		$row['admin_email'] = $_POST['admin_email'];
	
	if(!error_to_report($status))
		$status[] = array('type' => 'description', 'text' => "Append an admin to the system. Every admin has to have a username, and admin name, an email and a password.");
	
	pageHeader($pagetitle, $path, $path_back, $status);
	
	?>
	
	<form name="append_admin" action="index.php" method="post">
	<input type="hidden" name="page" value="append_admin" />
	<table>
	
		<tr>
			<td><b>Username:</b><br />
			<input type="text" name="username" value="<?php echo get_print_value($row['username']); ?>" /><br/></td>
		</tr>
	
		<tr>
			<td><b>Admin name:</b><br />
			<input type="text" name="admin_name" value="<?php echo get_print_value($row['admin_name']); ?>" /><br/></td>
		</tr>
	
		<tr>
			<td><b>Admin E-mail:</b><br />
			<input type="text" name="admin_email" value="<?php echo get_print_value($row['admin_email']); ?>" /><br/></td>
		</tr>
	
		<tr>
			<td><b>Password:</b><br />
			<input type="password" name="password" /><br/></td>
		</tr>
	
		<tr>
			<td><b>Retype password:</b><br />
			<input type="password" name="vpassword" /><br/></td>
		</tr>
	
		<tr>
			<td>
			<input type="checkbox" class="checkbox" name="su" id="su" value="1" <?php if($row['superuser'])echo 'checked="checked"'; ?> /><label for="su">Superuser (can manage admins)</label><br/></td>
		</tr>
	
		<tr>
			<td align="right">
				<br /><input type="submit" name="add" class="button_green button_nearwide" value="Append Admin" />&nbsp;<input type="submit" name="cancel" class="button_red button_nearwide" value="Cancel" />
			</td>
		</tr>
		</table>
	</form>
	<?php
}
else
{
	$status[] = array('type' => 'error', 'text' => 'You are not allowed to view this page.', 'size' => 'normal');
	pageHeader($pagetitle, $path, $path_back, $status);
}
pageFooter();
?>