<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: append_to_questionnaire.inc.php,v 1.13 2006/06/07 11:18:51 medea8 Exp $
*/

$show_desc = true;

if(isset($_SESSION['append_to_questionnaire_data']['target_id']) && is_numeric($_SESSION['append_to_questionnaire_data']['target_id']))
{
	if(is_numeric($_SESSION['active_questionnaire']))
	{
		// Print pathborder
		$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
		$path[] = array('href' => '', 'name' => 'Append Questionnaire');
		$path_back = return_href('manage_questionnaire');
		
		$pagetitle = 'Append Questionnaire';

		if(!$_SESSION['owner_questionnaire'])
		{
			$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can append questionnaires to the questionnaire!');
		}
		else
		{	
			$q_id_to_append = $_SESSION['append_to_questionnaire_data']['target_id'];
			$current_q_id = $_SESSION['active_questionnaire'];
	
			$sql = "SELECT name FROM questionnaires WHERE id = $q_id_to_append";
			$result = my_query($sql, $mysql_handler);
			$data = mysql_fetch_assoc($result);
		
			$questionnaire_name = $data['name'];
	
	
			// Copy questions
			$query = "SELECT * FROM questions WHERE questionnaire_id = $q_id_to_append ORDER BY sort_order ASC";
			$result = my_query($query, $mysql_handler);
			while($row = mysql_fetch_assoc($result))
			{
				$sql = "INSERT INTO questions SET questionnaire_id = $current_q_id";
				foreach($row AS $key => $value)
				{
					$value = mysql_escape_string($value);
					if($key != 'id' && $key != 'questionnaire_id')
					{
						if($key == 'name') 
						{
							$sql1 = "SELECT name FROM questions WHERE questionnaire_id = $current_q_id AND name = '$value'";
							$res = my_query($sql1, $mysql_handler);
							
							if(mysql_fetch_assoc($res))
							{
								do
								{
									$value = $questionnaire_name." - ".$value;
									$sql1 = "SELECT name FROM questions WHERE questionnaire_id = $current_q_id AND name = '$value'";
									$res = my_query($sql1, $mysql_handler);
								}
								while (mysql_fetch_assoc($res));
							}
						}
						elseif($key == 'sort_order')
						{
							$sql1 = "SELECT MAX(sort_order) FROM questions WHERE questionnaire_id = $current_q_id";
							$res = my_query($sql1, $mysql_handler);
							$data = mysql_fetch_row($res);
							
							$value = $data[0] + 1;
						}
						$sql .= ", $key = '$value'";
					}
				}
				my_query($sql, $mysql_handler);
	
				$questionids[$row['id']] = mysql_insert_id();
	
				if($row['questiontype'] == "multiple_choice")
				{
					$sql = "SELECT * FROM question_alternatives WHERE question_id = '".$row['id']."'";
					$altresult = my_query($sql, $mysql_handler);
					while($data = mysql_fetch_assoc($altresult))
					{
						$sql = "INSERT INTO question_alternatives SET question_id = ".$questionids[$row['id']]; 
	
						foreach($data AS $key => $value)
						{
							$value = mysql_escape_string($value);
							if($key != 'id' && $key != 'question_id')
								$sql .= ", $key = '$value'";
						}
						my_query($sql, $mysql_handler);
					}
				}
			}
	
			// Copy categories
			$query = "SELECT * FROM question_categories WHERE questionnaire_id = $q_id_to_append AND name != 'none'";
			$result = my_query($query, $mysql_handler);
		
			while($row = mysql_fetch_assoc($result))
			{
				$sql = "INSERT INTO question_categories SET questionnaire_id = $current_q_id";
				foreach($row AS $key => $value)
				{
					$value = mysql_escape_string($value);
					if($key != 'id' && $key != 'questionnaire_id')
					{
						if($key == 'name') 
						{
							$sql1 = "SELECT name FROM question_categories WHERE questionnaire_id = $current_q_id AND name = '$value'";
							$res = my_query($sql1, $mysql_handler);
							
							if(mysql_fetch_assoc($res))
							{
								do
								{
									
									$value = $questionnaire_name." - ".$value;
									$sql1 = "SELECT name FROM question_categories WHERE questionnaire_id = $current_q_id AND name = '$value'";
									$res = my_query($sql1, $mysql_handler);
								}
								while (mysql_fetch_assoc($res));
							}
						}	
						$sql .= ", $key = '$value'";
					}
				}
				
				my_query($sql, $mysql_handler);
	
				$categoryid = mysql_insert_id();
				
				// Copy question <-> categories bindings
				$query2 = "SELECT * FROM in_category WHERE category_id = ".$row['id'];
				$result2 = my_query($query2, $mysql_handler);
	
				while($row2 = mysql_fetch_assoc($result2))
				{
					$sql2 = "INSERT INTO in_category SET category_id = $categoryid, question_id = " . $questionids[$row2['question_id']];
					foreach($row2 AS $key => $value)
					{
						$value = mysql_escape_string($value);
						if($key != 'id' && $key != 'category_id' && $key != 'question_id')
							$sql2 .= ", $key = '$value'";
					}
					my_query($sql2, $mysql_handler);
				}
			}
			$status[] = array('type' => 'ok', 'text' => "$questionnaire_name has been appended to the questionnaire.");
			$show_desc = false;
			unset($_SESSION['append_to_questionnaire_data']);
		}
		
		if($show_desc)
			$status[] = array('type' => 'description', 'text' => 'Use the questionnaire browser below to select the questionnaire you wish to append. Browse the folders using the open/close-button.');
		
		pageHeader($pagetitle, $path, $path_back, $status);
		pageFooter();
	}
} 
else
{
	if(!$_SESSION['owner_questionnaire'])
	{
		$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
		$path[] = array('href' => '', 'name' => 'Append Questionnaire');
		$path_back = return_href('manage_questionnaire');
		
		$pagetitle = 'Append Questionnaire';
		
		$status[] = array('type' => 'error', 'text' => "Only the owner of a questionnaire can append questionnaires to the questionnaire!");

		pageHeader($pagetitle, $path, $path_back, $status);
		pageFooter();
	}
	else
	{
		unset($_SESSION['data_select_folder']);
		unset($_SESSION['append_to_questionnaire_data']);
		include_once("inc/select_folder.inc.php");
	}
}
?>