<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: comment_results.inc.php,v 1.3 2006/06/07 13:55:54 medea7 Exp $
*/

if(!is_numeric($_SESSION['active_questionnaire']))
	print_back('manage_questionnaires');
elseif(isset($_REQUEST['cancel']))
	print_back('manage_selected_answer');
else
{
	if(isset($_REQUEST['save_comment_results']))
	{
		$visible_comments = clean_string($_REQUEST['visible_comments']);
		$invisible_comments = clean_string($_REQUEST['invisible_comments']);

		$sql = "UPDATE questionnaires SET result_comment_visible = '$visible_comments', result_comment_invisible = '$invisible_comments' WHERE id = ".$_SESSION['active_questionnaire'];

		my_query($sql, $mysql_handler);

		print_back('manage_selected_answer');
	}
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('manage_selected_answer'), 'name' => 'Manage Answers');
	$path[] = array('href' => '', 'name' => 'Comment Results');
	$path_back = return_href('manage_selected_answer');

	$pagetitle = 'Comment Results';

	$status[] = array('type' => 'description', 'text' => 'This page let you add a comment about the result of the questionnaire. The Visible comments will be shown in the report. The Invisible comments will only be shown here.');

	pageHeader($pagetitle, $path, $path_back);

	$sql = "SELECT result_comment_visible, result_comment_invisible FROM questionnaires WHERE id = ".$_SESSION['active_questionnaire'];
	$result = my_query($sql, $mysql_handler);

	$comments = mysql_fetch_assoc($result);
?>
	<form name="comments" action="index.php" method="POST">
	<input type="hidden" name="page" value="comment_results" />
	<table>
	<tr>
		<td>
			<b>Visible comments</b><br />
			<textarea rows="4" cols="4" class="wide" name="visible_comments"><?php echo($comments['result_comment_visible']); ?></textarea><br />
			<br />
			<b>Invisible comments</b><br />
			<textarea rows="4" cols="4" class="wide" name="invisible_comments"><?php echo($comments['result_comment_invisible']); ?></textarea><br />
		</td>
		<td  valign="top">
			&nbsp;<br/>
			<input type="submit" class="button_green button_nearwide" name="save_comment_results" value="Save" /><br /><input type="submit" class="button_red button_nearwide" name="cancel" value="Cancel" />
		</td>
	</tr>
	</table>
	</form>
<?php
	pageFooter();
}
?>