<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: export_individual_answers.inc.php,v 1.11 2006/06/05 11:58:34 medea2 Exp $
*/

if(!isset($_SESSION['active_questionnaire']))
{
	print_back('manage_questionnaires');
}
else
{
	if(isset($_REQUEST['print_file']) && !empty($_REQUEST['question_type']))
	{
		$q_type = $_REQUEST['question_type'];
		$sql_questions = 'SELECT id, name, questiontype FROM questions WHERE questionnaire_id =' . $_SESSION['active_questionnaire'] .' ORDER BY ID;';
		$result = my_query($sql_questions, $mysql_handler);
		
	
		$num_quest = mysql_num_rows($result);
		$text_to_write = "ID";

		while($questions_arr = mysql_fetch_assoc($result))
		{
			if($questions_arr['questiontype'] == $q_type)
			{
				$text_to_write .= "\t";
				$text_to_write .= '"'.$questions_arr['name'].'"';
			}
		}
	
		if($text_to_write != "ID")
			$text_to_write .= "\n";
	
		$sql1 = "SELECT answer_id FROM answers WHERE questionnaire_id = ".$_SESSION['active_questionnaire']." ORDER BY answer_id";
		$result = my_query($sql1, $mysql_handler);
	
		while($answers = mysql_fetch_assoc($result))
		{
			if($text_to_write != "ID")
				$text_to_write .= $answers['answer_id'];

			$sql2 = "SELECT d.response, q.negate FROM questionnaires_data AS d, questions AS q WHERE q.questionnaire_id = ".$_SESSION['active_questionnaire']." AND q.questiontype = '$q_type' AND q.id = d.question_id AND d.answer_id = ".$answers['answer_id']." ORDER BY q.id";
			$result2 = my_query($sql2, $mysql_handler);
	
			while($questions = mysql_fetch_assoc($result2))
			{
				if($q_type == "gradedquestion")
				{	
					if ($questions['negate'])
						$text_to_write .= "\t".$questions['response'] * (-1);
					else
						$text_to_write .= "\t".$questions['response'];
				}
				elseif($q_type == "textquestion")
				{
					$crap = array("\r","\n");
					$tmp = str_replace($crap,"  ",$questions['response']);
					$text_to_write .= "\t".$tmp;
				}
				elseif($q_type == "multiple_choice")
					$text_to_write .= "\t".$questions['response'];
	
				elseif($q_type == "number")
					$text_to_write .= "\t".$questions['response'];
			}
			if($text_to_write != "ID")
				$text_to_write .= "\n";
		}

		$sql_namn = "SELECT name FROM questionnaires WHERE id = " . $_SESSION['active_questionnaire'] .";";
		$result = my_query($sql_namn, $mysql_handler);
		$name = mysql_fetch_assoc($result);
	
		$date_to_use = date("Ymd"); 
		$the_name = strtolower(str_replace(" ", "_", $name['name']) . "_" . $date_to_use .".txt");
		
		if($q_type == "gradedquestion")
			$prefix = 'graded_';
		elseif($q_type == "textquestion")
			$prefix = 'text_';
		elseif($q_type == "multiple_choice")
			$prefix = 'multiple_';
		elseif($q_type == "number")
			$prefix = 'number_';
		
		$the_name = replace_chars($the_name);
		$the_name = $prefix.'individual_answers_'.$the_name;

		// Send file to browser
		header("Content-type: text/plain");
		header("Content-Disposition: attachment; filename=$the_name");
		
		echo $text_to_write;
	}
	else
	{
		// Print pathborder
		$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
		$path[] = array('href' => return_href('manage_selected_answer'), 'name' => 'Manage Answers');
		$path[] = array('href' => return_href('show_individual_answers', array('answer' => $_REQUEST['answer'])), 'name' => 'Show individual answers');
		$path[] = array('href' => '', 'name' => 'Export');
		
		$path_back = return_href('show_individual_answers', array('answer' => $_REQUEST['answer']));
		pageHeader('Export individual answers', $path, $path_back);

		$oktexts = 'Click below to download answers in textfiles<br /><ul>';
		$oktexts .= '<li><a href="'.return_href('export_individual_answers', array('print_file' => 'true', 'question_type' => 'gradedquestion')).'">Graded Questions</a></li>'."\n";
		$oktexts .= '<li><a href="'.return_href('export_individual_answers', array('print_file' => 'true', 'question_type' => 'textquestion')).'">Text Questions</a></li>'."\n";
		$oktexts .= '<li><a href="'.return_href('export_individual_answers', array('print_file' => 'true', 'question_type' => 'multiple_choice')).'">Multiple Choice Questions</a></li>'."\n";
		$oktexts .= '<li><a href="'.return_href('export_individual_answers', array('print_file' => 'true', 'question_type' => 'number')).'">Number Questions</a></li></ul>'."\n";
		
		print_status('ok', $oktexts, 'normal');
		
		pageFooter();
	}
}
?>

