<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: manage_categories.inc.php,v 1.29 2006/06/02 10:52:24 medea1 Exp $
*/

$error = 0;

// Print pathborder
$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
$path[] = array('href' => '', 'name' => 'Manage Categories');
$path_back = return_href('manage_questionnaire');

$pagetitle = 'Manage Categories';



//Confirm
if(isset($_SESSION['data_confirm']['list']) && $_SESSION['data_confirm']['page'] == 'action_manage_categories' && $_SESSION['data_confirm']['confirmed'] == true)
{
	if(!$_SESSION['owner_questionnaire'])
	{
		$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can change the order of questions!');
		$error = 1;
	}
	else
	{
		if(is_array($_SESSION['data_confirm']['list']))
		{
			foreach($_SESSION['data_confirm']['list'] AS $id => $bla)
			{
				if(is_numeric($id))
				{
					$sql = "DELETE FROM in_category WHERE category_id = $id";
					my_query($sql, $mysql_handler);
			
					$sql = "DELETE FROM question_categories WHERE id = $id";
					my_query($sql, $mysql_handler);
				}
			}
		}
	}
	unset($_SESSION['data_confirm']);
}

if(is_numeric($_SESSION['active_questionnaire']))
{
	$sql = "SELECT id, name FROM question_categories WHERE questionnaire_id = ".$_SESSION['active_questionnaire']." AND name != 'none' ORDER BY name";
	
	$result = my_query($sql, $mysql_handler);
}

if(!$actionerror && !$error)
	$status[] = array('type' => 'description', 'text' => 'Select one or more categories that you want to modify, delete or add questions to. You can only add questions to one category at a time. Click append to append a new category to the questionnaire.');

pageHeader($pagetitle, $path, $path_back, $status);

?>


<form name="zeus" action="index.php?page=action_manage_categories" method="post">

<table>

<tr>
<td><b>Select one or more categories:</b><br />

	
		<select name="rows[]" size="5" id="cat_rows" onchange="enable_object('modify');enable_object('delete');enable_object('select');disable_if_more_than_x('cat_rows','select',1);" multiple="multiple">

<?php

while($row = mysql_fetch_assoc($result))
{

	if($i++ % 2)
		$class_c = 'odd';
	else
		$class_c = 'even';

	echo '<option class="'.$class_c.'"value="' . $row['id'] . '">' .$row['name'] .'</option>';
}
?>

		</select>

</td>
<td valign="top"><br />
		<input type="submit" class="button_blue button_wide" name="append" id="append" value="Append" /><br /><br />
		<input type="submit" class="button_blue button_wide" name="modify" id="modify" value="Modify" /><br />
		<input type="submit" class="button_blue button_wide" name="delete" id="delete" value="Delete" /><br /><br />
		<input type="submit" class="button_blue button_wide" name="select" id="select" value="Questions to category" /> 


</td>
</tr>
</table>
	
	</form>
	

<script language="javascript" type="text/javascript"> disable_object('modify');  disable_object('delete');disable_object('select') </script>

<?php
pageFooter();
?>