<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: manage_questionnaire.inc.php,v 1.52 2006/06/08 09:45:38 medea8 Exp $
*/
unset($_SESSION['folder_data']);

$warning = 0;

if((isset($_REQUEST['modify']) && count($_REQUEST['questionnaires'])!=1) || !isset($_SESSION['active_questionnaire'])){

	print_back('manage_questionnaires');
}
else
{
	// Print pathborder
	$path[] = array('href' => '', 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);

	$pagetitle = 'Manage '.$_SESSION['active_questionnaire_name_full'];
	$path_back = return_href('manage_questionnaires');

	// Unset deadline var (only apply to questionnaire_properties
	unset($_SESSION['questionnaire_properties_publish_deadline']);

	if(isset($_REQUEST['publish']) )
	{
		if(!$_SESSION['owner_questionnaire'])
		{
			$status[] = array('type' => 'error', 'text' => "Only the owner of the questionnaire can publish or unpublish the questionnaire!");
		}
		else
		{
			if(is_numeric($_SESSION['active_questionnaire']))
			{
				$questionnaire = $_SESSION['active_questionnaire'];
				$query = "SELECT published, deadline FROM questionnaires WHERE id = ". $questionnaire;
				$result = mysql_query($query, $mysql_handler);
				$published = mysql_fetch_row($result);
	
				if($published['0'] > 0)
				{
					$time = 0;
				}
				else
				{
					$time = time();
				}
	
				if($published['1'] == 0)
				{
					$_SESSION['questionnaire_properties_publish_deadline'] = true;
					print_back('action_questionnaire_properties');
					exit();
				}
				elseif($published['1'] < time() && $time != 0)
				{
					$status[] = array('type' => 'warning', 'text' => 'You  published a questionnaire with a deadline in the past. The questionnaire cannot garantee its anonymity to the users when deadline has passed.');
					$warning = 1;
				}

				$query = "UPDATE questionnaires SET published = $time WHERE id = ". $questionnaire;
				my_query($query, $mysql_handler);
	
				$sql = "SELECT site_smtp, site_send_publish_mail, site_user_site FROM site_properties";
				$result = my_query($sql, $mysql_handler);
				$site_results = mysql_fetch_assoc($result);
	
				if(($time > 0) && ($site_results['site_send_publish_mail']))
				{
	
					$pos = strrpos($_SERVER['HTTP_REFERER'], "/");
					$url = substr($_SERVER['HTTP_REFERER'], 0, ($pos + 1));
	
					$smtp_server = $site_results['site_smtp'];
	
					$sql = "SELECT admin_email, admin_name FROM admin";
					$result = my_query($sql, $mysql_handler);
					$answer = mysql_fetch_assoc($result);

					$from = $answer['admin_email'];
					$from_name = $answer['admin_name'];
	
					$sql = "SELECT name, description, deadline, email_text FROM questionnaires WHERE id = ".$questionnaire;
					$result = my_query($sql,$mysql_handler);
					$info = mysql_fetch_assoc($result);

					$subject = $info['name']." has been published!";
	
					if(empty($info['email_text']))
					{
						$result = mysql_fetch_row(my_query("SELECT email_text FROM site_properties",$mysql_handler));
						$info['email_text'] = $result[0];
					}
	
					$look_for = array("!questionnaire_name!", "!questionnaire_desc!", "!questionnaire_deadline!", "!usersite_url!");
					$replace_with = array($info['name'], $info['description'], date("Y-m-d",$info['deadline']), $site_results['site_user_site']);
					
					$info['email_text'] = str_replace ($look_for, $replace_with, $info['email_text']);
	
					$body = $info['email_text'];
					
					$sql = "SELECT u.email, u.name FROM users AS u, questionnaires_users AS q  WHERE q.questionnaire_id = $questionnaire AND u.id = q.user_id";
					$result = my_query($sql, $mysql_handler);
	
					while($data = mysql_fetch_assoc($result))
						$recipients[] = $data['email'];
						
					send_mail($smtp_server, $from, $from_name, $subject, $body, $recipients, 25);
				}
			}
		}
	}
	
	if(is_numeric($_SESSION['active_questionnaire']))
	{
		$sql = "SELECT published FROM questionnaires WHERE id = '".$_SESSION['active_questionnaire']."'";
		$result = my_query($sql, $mysql_handler);
		$info = mysql_fetch_row($result);
	
	
		if(!$warning)
		{
			if($info[0] != 0)
			{
				$status[] = array('type' => 'description', 'text' => 'Your questionnaire is published - some options are only available when the questionnaire is not published. You can unpublish it by clicking the unpulish link below.');
			}
			else
			{
				$status[] = array('type' => 'description', 'text' => "Your questionnaire is not published - users can't answer  until you have published it. You may do so by clicking the publish link below.");
			}
		}
	}

pageHeader($pagetitle, $path, $path_back, $status);
?>
<center>
<table>

<tr>
<td class="link_button_table">

<?php	

	if($info[0] != 0)
	{

		print_button('unpublish','Unpublish','Click here to unpublish the current questionnaire. Users may not answer an unpublished questionnaire.','manage_questionnaire&amp;publish=false');
		echo '</td>';
	}
	else
	{
?>
		<?php print_button('publish','Publish','Click here to publish the current questionnaire. This permits the users to answer the questionnaire.','manage_questionnaire&amp;publish=true'); ?>
		</td>
<?php  }  ?>
		<td class="link_button_table">
			<?php print_button('manage_categories','Manage Categories','Click here to manage categories for this questionnaire. Answers in the report are grouped according these categories.','manage_categories'); ?>		
		</td>
		</tr>
		<tr>
		<td><?php if($info[0] == 0){ print_button('properties','Properties','Click here to change this questionnaire\'s properties like name, discription, deadline and e-mail message.','action_questionnaire_properties'); }?></td>
		<td>
			<?php print_button('manage_answer','Manage Answers','Click here to show the report, individual answers and the participants for this questionnaire.','manage_selected_answer'); ?>
		</td>
		</tr>
<?php	

	if($info[0] == 0)			
	{

	?>
<tr>
	<td>&nbsp;</td>
	<td><?php print_button('user','Manage Users','Click here to manage users and give users access to answer this questionnaire.','manage_questionnaire_users'); ?></td>
</tr>	
<tr>
	<td><?php print_button('append','Append Questionnaire','Click here if you would like to append users, categories and questions from another questionnaire.','append_to_questionnaire'); ?></td>

	<td><?php print_button('manage_question','Manage Questions','Click here to manage questions for this questionnaire.','manage_questions'); ?></td> 

</tr>

	

<?php
	}

?>

</table>
</center>

<?php
	pageFooter();
}
?>