<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: manage_users_order.inc.php,v 1.7 2006/06/07 13:25:18 medea1 Exp $
*/

if(isset($_POST['cancel']))
{
	unset($_SESSION['move_user_data']);
	print_back("action_manage_questionnaire_users");
}




// Print pathborder
$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
$path[] = array('href' => return_href('action_manage_questionnaire_users'), 'name' => 'Manage Users');
$path[] = array('href' => '', 'name' => 'Move Users');
$path_back = return_href('action_manage_questionnaire_users');

$pagetitle = 'Move Questionnaires and Folders';


$in_tree = false;

if(isset($_SESSION['move_user_data']['target_id']))
{	
	foreach($_SESSION['move_user_data']['folders'] AS $id)
	{
			if(is_in_tree($id, $_SESSION['move_user_data']['target_id'], $mysql_handler, 1))
				$in_tree = true;
	}
}


if(!isset($_SESSION['move_user_data']['target_id']) || $in_tree)
{	
	if($in_tree)
		$status[] = array('type' => 'error', 'text' => 'You can\'t move folders into their subfolders.');

	unset($_SESSION['move_user_data']['target_id']);
	unset($path);
	include 'inc/select_folder.inc.php';
}
else
{

	

	$notgood = false;

	if(count($_SESSION['move_user_data']['folders']) > 0 && $_SESSION['superuser'] == 0)
		$notgood = true;

	if($notgood)
	{
		pageHeader($pagetitle, $path, $path_back);
		print_status("error", "Only the superuser can move folders!!");
	}
	else
	{
		if(!isset($_POST['confirm']))
		{
			$status[] = array('type' => 'warning', 'text' => "Are you sure you wish to move the following users and groups to ".get_parent_folders_string($_SESSION['move_user_data']['target_id'], $mysql_handler, "/", 1)."?");
			

			pageHeader($pagetitle, $path, $path_back, $status);
			

			?>
				<form name="form_confirm" action="index.php" method="post">
				<input type="hidden" name="page" value="manage_users_order" />
					<table>
						<tr>
							<td colspan="2"><ul>
						<?php
						foreach($_SESSION['move_user_data']['folders'] AS $id)
						{
							?>
							<li class="group">
							<?php echo get_parent_folders_string($id, $mysql_handler, "/", 1); ?>
							</li>
							<?php
						}
						foreach($_SESSION['move_user_data']['files'] AS $id)
						{
							$path = get_absolute_path_string($id, $mysql_handler, "/", 1);
							$sql = "SELECT name FROM users WHERE id = $id";
							$result = my_query($sql, $mysql_handler);
							$data = mysql_fetch_row($result);
							?>
							<li class="user">
							<?php echo $path.$data[0]; ?>
							</li>
							<?php
						}
						?>
							</ul></td>
						</tr>
						
						<tr>
							<td colspan="2"><input type="submit" name="confirm" value="Confirm"  class="button_green button_normal" />&nbsp;<input type="submit" name="cancel" value="Cancel"  class="button_red button_normal" /></td>
						</tr>
					</table>
				</form>
			<?php
		}
		else
		{
			if($in_tree)
			{
				print_status("error", "You can't move folders into their subfolders.");
			}
			else
			{
				$target = $_SESSION['move_user_data']['target_id'];
				$target_name = $_SESSION['move_user_data']['target_name'];
		
				if(is_numeric($target))
				{
					foreach($_SESSION['move_user_data']['files'] AS $id)
					{
						if(is_numeric($id))
						{
							$sql = "UPDATE users SET folder_id = $target WHERE id = $id";
							my_query($sql, $mysql_handler);
						}
					}
					foreach($_SESSION['move_user_data']['folders'] AS $id)
					{
						if(is_numeric($id))
						{
							$sql = "UPDATE folders_users SET parent_folder = $target WHERE id = $id";
							my_query($sql, $mysql_handler);
						}
					}
				}
		
				print_back("manage_questionnaire_users");
			}
		}
	}
	pageFooter();
}
?>
