<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: select_questions.inc.php,v 1.22 2006/06/07 07:48:54 medea8 Exp $
*/

// Print pathborder
$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
$path[] = array('href' => return_href('manage_categories'), 'name' => 'Manage Categories');
$path[] = array('href' => '', 'name' => 'Questions to category');
$path_back = return_href('manage_categories');

$pagetitle = 'Questions to category';

if(isset($_POST['rows']))
{
	if(is_numeric($_POST['rows'][0]))
		$_SESSION['category_id'] = $_POST['rows'][0];
	else
		$_SESSION['category_id'] = 0;
}

$sql = "SELECT name FROM question_categories WHERE id = ".$_SESSION['category_id'];

$result = my_query($sql, $mysql_handler);
$data = mysql_fetch_assoc($result);

$pagetitle .= ": ".substr($data['name'], 0, 120);

$sql = "SELECT id FROM questions WHERE questionnaire_id = ".$_SESSION['active_questionnaire'];
$result = my_query($sql, $mysql_handler);
$data = mysql_num_rows($result);

if($data == 0)
{
	$status[] = array('type' => 'error', 'text' => 'There\'re no questions in the questionnaire.');
	pageHeader($pagetitle, $path, $path_back, $status);
}
else
{
	if(!isset($_POST['rows']) && !isset($_SESSION['category_id']))
	{
		print_back("manage_categories");
		die();
	}
	
	if(isset($_POST['to_category']) && count($_POST['questions']) > 0)
	{
		if(!$_SESSION['owner_questionnaire'])
		{
			$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can select questions to the category!');
		}
		else
		{
			foreach($_POST['questions'] AS $id)
			{
				if(is_numeric($_SESSION['category_id']) && is_numeric($id))
				{
					$category_id = $_SESSION['category_id'];
			
					$sql = "INSERT INTO in_category (category_id, question_id) VALUES ('$category_id', '$id')";
					
					$result = my_query($sql, $mysql_handler);
				}
			}
		}
	}
	elseif(isset($_POST['free_question']) && count($_POST['in_category']) > 0)
	{
		if(!$_SESSION['owner_questionnaire'])
		{
			$status[] = array('type' => 'error', 'text' => 'Only the owner of a questionnaire can remove questions from the category!');

		}
		else
		{
			foreach($_POST['in_category'] AS $id)
			{
				if(is_numeric($_SESSION['category_id']) && is_numeric($id))
				{
					$category_id = $_SESSION['category_id'];
			
					$sql = "DELETE FROM in_category WHERE category_id = $category_id AND question_id = $id";
			
					$result = my_query($sql, $mysql_handler);
				}
			}
		}
	}
	
	
	$questions = array();
	$in_category = array();
	
	if(is_numeric($_SESSION['active_questionnaire']) && is_numeric($_SESSION['category_id']))
	{
		$questionnaire_id = $_SESSION['active_questionnaire'];
		$category_id = $_SESSION['category_id'];
		
		$sql = "SELECT q.id,q.name FROM questions AS q, in_category AS i WHERE q.questionnaire_id = $questionnaire_id AND q.id NOT IN(
			SELECT q.id FROM questions AS q, in_category AS i WHERE q.questionnaire_id = $questionnaire_id AND q.id = i.question_id AND i.category_id = $category_id)";
		
		$result1 = my_query($sql, $mysql_handler);
		
		while($row = mysql_fetch_row($result1))
		{
			$questions[$row[0]] = $row[1];
		}
	
		$sql = "SELECT q.id,q.name FROM questions AS q, in_category AS i WHERE q.questionnaire_id = $questionnaire_id AND q.id = i.question_id AND i.category_id = $category_id";
		
		$result2 = my_query($sql, $mysql_handler);
		while($row = mysql_fetch_row($result2))
		{
			if(!isset($questions[$row[0]]))
				$in_category[$row[0]] = $row[1];
		}
	}
	if(!error_to_report($status))
		$status[] = array('type' => 'description', 'text' => 'Move questions to or from the category by selecting a number of questions in one box and proceed by click on the appropriate direction button.');
	pageHeader($pagetitle, $path, $path_back, $status);
	?>
	
	<form name="select_question" action="index.php" method="post">
	<input type="hidden" name="page" value="select_questions" />
	<table>
	<tr>
		<td><b>Questions:</b></td>
		<td>&nbsp;</td>
		<td><b>Questions in the category:</b></td>
	</tr>
	<tr>
		<td>
			<select name="questions[]" size="10" multiple="multiple" class="questions_cat">
	<?php
			foreach($questions AS $id => $name)
			{
				if($i++ % 2)
					$class_c = 'odd';
				else
					$class_c = 'even';
				echo '<option class="'.$class_c.'" value="' . $id . '">' . $name . "</option>\n";
			}
	?>
			</select>
		</td>
		<td>
			<input class="button_green button_small"  type="submit" name="to_category" value=" &gt;&gt; " /><br />
			<input class="button_green button_small"  type="submit" name="free_question" value=" &lt;&lt; " />
		</td>
		<td>
			<select name="in_category[]" size="10" multiple="multiple" class="questions_cat">
	<?php
			foreach($in_category AS $id => $name)
			{
				if($j++ % 2)
					$class_c = 'odd';
				else
					$class_c = 'even';
				echo '<option class="'.$class_c.'" value="' . $id . '">' . $name . "</option>\n";
			}
	?>
			</select>
		</td>
	</tr>
	</table>
	</form>
	<?php
}
pageFooter();
?>