<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: show_individual_answers.inc.php,v 1.25 2006/06/05 06:46:50 medea8 Exp $
*/

if(!is_numeric($_SESSION['active_questionnaire']))
{
	print_back('manage_questionnaires');
}
else
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('manage_selected_answer'), 'name' => 'Manage Answers');
	$path[] = array('href' => '', 'name' => 'Show individual answers');
	
	$path_back = return_href('manage_selected_answer');

	$questionnaire_id = $_SESSION['active_questionnaire'];

	$sql = "SELECT answer_id FROM answers WHERE questionnaire_id = $questionnaire_id ORDER BY answer_id";

	$result = my_query($sql, $mysql_handler);

	while($row = mysql_fetch_assoc($result))
		$answer_id[] = $row['answer_id'];

	if (count($answer_id) > 0)
	{
		pageHeader("", $path, $path_back);

		if( isset($_REQUEST['answer']) && is_numeric($_REQUEST['answer']))
		{
			for($i=0; $answer_id[$i] != $_REQUEST['answer'] && $i < count($answer_id); $i++)
				;
			$ans = $answer_id[$i];
			
			if( isset($_REQUEST['next']) )
				$ans = $answer_id[$i+1];
			elseif( isset($_REQUEST['prev']) )
				$ans = $answer_id[$i-1];
		}
		else
			$ans = $answer_id[0];
			
		if( !in_array($ans, $answer_id) )
		{
			print_status('error', 'Invalid answer_id!', 'normal');
			echo '$ans = '.$ans.'<br />';
		}
		else
		{
			$first_id = $answer_id[0];
			$last_id =  $answer_id[count($answer_id)-1];
		
			generate_questionnaire($questionnaire_id, 'show_ind', $mysql_handler, $ans, array($first_id, $last_id));
		}	
	}
	else
	{	
		pageHeader("Show individual answers", $path, $path_back);

		print_status('error', "There is no answers for the select questionnaire!", 'normal');

	}

	pageFooter();
}
?>