<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: show_participants.inc.php,v 1.25 2006/06/08 09:45:38 medea8 Exp $
*/

if(!is_numeric($_SESSION['active_questionnaire']))
{
	print_back('manage_questionnaires');
}
else
{
	// Print pathborder
	$path[] = array('href' => return_href('manage_questionnaire'), 'name' => 'Manage: '.$_SESSION['active_questionnaire_name']);
	$path[] = array('href' => return_href('manage_selected_answer'), 'name' => 'Manage Answers');
	$path[] = array('href' => '', 'name' => 'Show Participants');
	$path_back = return_href('manage_selected_answer');

	$pagetitle = 'Show Participants';
	
	pageHeader($pagetitle, $path, $path_back);
	
	$sql = "SELECT deadline FROM questionnaires WHERE id = ".$_SESSION['active_questionnaire'];
	$result = my_query($sql, $mysql_handler);
	$deadline = mysql_result($result, 0);
	
	//Get table colors
	$sql = "SELECT question_row_color1, question_row_color2 FROM site_properties WHERE id = 1";
	$result = my_query($sql, $mysql_handler);
	$row_colors = mysql_fetch_row($result);
	$row_color1 = $row_colors[0];
	$row_color2 = $row_colors[1];

	$questionnaire_id = $_SESSION['active_questionnaire'];
	
	$sql = "SELECT u.name, u.email, q.response_time FROM users AS u, questionnaires_users AS q WHERE q.questionnaire_id = $questionnaire_id AND q.user_id = u.id";
	
	$result = my_query($sql, $mysql_handler);

	$number_of_users = mysql_num_rows($result);
	
	if ($number_of_users > 0)
	{
		print_status('description', "Shows all the users who answered the questionnaire and when if they have answered.");
	
		echo "<table>\n <tr><td class='participants_name'><b>Username</b></td><td class='participants_time'><b>Response time</b></td></tr>";
		
		$row_color = $row_color2;
		while($row = mysql_fetch_row($result))
		{
			if ($row_color == $row_color2)
				$row_color = $row_color1;
			else
				$row_color = $row_color2;
		
			echo "<tr bgcolor=\"$row_color\"><td>$row[0] ($row[1])</td><td class='participants_time'>";
			if(time() >= $deadline)
			{
				if($row[2] == 0)
					echo "Not Answered yet.";
				else
				{		
					echo date("Y-m-d H:i", $row[2]);
							
					// put response_times in array
					$responsetimes[] = $row[2];
				}
			}
			else
				echo "Deadline not passed.";
			echo "</td></tr>\n";
	
		}
		
		echo "</table>\n";

		if ((isset($_POST['mail_all']) || isset($_POST['mail_sub']) || isset($_POST['mail_nsub'])) && !empty($_POST['msgtxt']))
		{
			$sql = "SELECT u.email, q.response_time FROM users AS u, questionnaires_users AS q WHERE q.questionnaire_id = $questionnaire_id AND q.user_id = u.id";
		
			$result = my_query($sql, $mysql_handler);
		
			$recipients = array();
		
			while($row = mysql_fetch_row($result))
			{
				/* Mail to all */
				if (isset($_POST['mail_all']))
					$recipients[] = $row[0];
				/* Mail to submitted */
				elseif (isset($_POST['mail_sub']) && $row[1] != 0)
					$recipients[] = $row[0];
				/* Mail to not submitted*/
				elseif (isset($_POST['mail_nsub']) && $row[1] == 0)
					$recipients[] = $row[0];
			}
		
			// Set up mail headers and body
			
			$admin_id = $_SESSION['admin_id'];	
			$questionnaire_id = $_SESSION['active_questionnaire'];
			$body = $_POST['msgtxt'];
			
			// Fetch smtp server from database
			$sql = "SELECT site_smtp FROM site_properties WHERE id = 1";
			$result = my_query($sql, $mysql_handler);
			$smtp_server = mysql_result($result, 0);		
		
			// Fetch admin_name and email from database
			$sql = "SELECT admin_name, admin_email FROM admin WHERE id = $admin_id";
			$result = my_query($sql, $mysql_handler);
			$rows = mysql_fetch_row($result);
		
			$admin_name = $rows[0];
			$admin_email = $rows[1];
			
			// Fetch questionnaire name from database
			$sql = "SELECT name FROM questionnaires WHERE id = $questionnaire_id";
			$result = my_query($sql, $mysql_handler);
			$questionnaire_name = mysql_result($result, 0);	
		
			$subject = "Notify regarding the questionnaire " . $questionnaire_name;
			
			// Send mail to the recipients
			send_mail($smtp_server, $admin_email, $admin_name, $subject, $body, $recipients, 25);
		}

		$sql = "SELECT site_send_publish_mail FROM site_properties WHERE id=1";
		$result = my_query($sql, $mysql_handler);
		$publish_mail = mysql_result($result,0);
		
		if ($publish_mail)
		{
?>
			<h2>Send notify to participants</h2>
			<form name="notify" method="post" action="index.php">
			<input type="hidden" name="page" value="show_participants" />
			<table>
				<tr>
					<td valign="top">
						<textarea class="wide" name ="msgtxt" rows="6" cols="10"></textarea>
					</td>
					<td valign="top">
						<input type="submit" name="mail_all" value="Mail to all" class="button_green button_wide" /><br />
						<input type="submit" name="mail_sub" value="Mail to submitted" class="button_green button_wide" /><br />
						<input type="submit" name="mail_nsub" value="Mail to not submitted" class="button_green button_wide" /><br />
					</td>
				</tr>
			</table>
			</form>
<?php
		}
		if (time() >= $deadline)
		{
			echo "<h2>Answer frequency per day</h2><br />\n";
	
			$day_array = array();
			if(is_array($responsetimes))
			{
				foreach($responsetimes AS $response)
					$day_array[] = floor(($response - $deadline)/(24*3600));
	
				print_histogram_plot(generate_histogram_data($day_array),'Answer frequency per day','Days','Answers','0');
			}
		}
	}
	else
		print_status("warning", "No users assigned to this questionnaire!");
	
	pageFooter();
}
?>