<?php
/*
Copyright (c) 2006, University of Karlstad
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

$Id: function_print_filetree.inc.php,v 1.2 2006/05/29 13:01:20 medea1 Exp $

*/

function get_parent_folders($folder_id, $mysql_handler, $usertree = 0)
{
	if(is_numeric($folder_id))
	{
		if ($folder_id == 0)
			return array();
		
		if($usertree)
			$sql = "SELECT parent_folder, name FROM folders_users WHERE id = $folder_id";
		else
			$sql = "SELECT parent_folder, name FROM folders_questionnaires WHERE id = $folder_id";
	
		$result = my_query($sql, $mysql_handler);
		list($parent_id, $name) = mysql_fetch_row($result);
		
		$return_array = get_parent_folders($parent_id, $mysql_handler, $usertree);
		$return_array[] = array('id' => $folder_id, 'name' => $name);
		
		return $return_array;
	}
	else
		return false;
}

function get_parent_folders_string($folder_id, $mysql_handler, $d = "/", $usertree = 0)
{
	if(is_numeric($folder_id))
	{
		$arr = array();
	
		$arr = get_parent_folders($folder_id, $mysql_handler, $usertree);
		
		//$arr = array_reverse($arr);
		
		foreach($arr AS $folder)
		{
			$string .= $folder['name'].$d;
		}
		return $string;
	}
	else
		return false;
}

function get_absolute_path_string($file_id, $mysql_handler, $d = "/", $users = 0)
{
	if(is_numeric($file_id))
	{
		$path = array();
		
		//Get parent folder
		if($users)
			$sql = "SELECT folder_id FROM users WHERE id = $file_id";
		else
			$sql = "SELECT folder_id FROM questionnaires WHERE id = $file_id";
		$result = my_query($sql, $mysql_handler);
		$folder_id = mysql_result($result,0);
	
		return get_parent_folders_string($folder_id, $mysql_handler, $d, $users);
	}
	else
		return false;
}

function is_in_tree($parent_folder, $folder_id, $mysql_handler, $users = 0)
{
	if(is_numeric($parent_folder) && is_numeric($folder_id))
	{
		if($users)
			$sql = "SELECT id FROM folders_users WHERE parent_folder = $parent_folder";
		else
			$sql = "SELECT id FROM folders_questionnaires WHERE parent_folder = $parent_folder";
		$result = my_query($sql, $mysql_handler);
	
		while($folder = mysql_fetch_assoc($result))
		{
			if($folder['id'] == $folder_id)
				return true;
			else
				is_in_tree($folder['id'], $folder_id, $mysql_handler);
		}
	
		return false;
	}
	else
		return false;
}

function add_folder_with_users_to_questionnaire($q_id, $f_id, $mysql_handler)
{
	if(is_numeric($q_id) && is_numeric($f_id))
	{
		$sql = "SELECT id FROM folders_users WHERE parent_folder = $f_id";
		$result = my_query($sql, $mysql_handler);
		while($folders = mysql_fetch_assoc($result))
		{
			add_folder_with_users_to_questionnaire($q_id, $folders['id'], $mysql_handler);
		}
	
		$sql = "SELECT id FROM users WHERE folder_id = $f_id";
		$result = my_query($sql, $mysql_handler);
		while($files = mysql_fetch_assoc($result))
		{
			$sql = "SELECT user_id FROM questionnaires_users WHERE questionnaire_id = $q_id AND user_id = ".$files['id'];
			$inresult = my_query($sql, $mysql_handler);
			$data = mysql_fetch_row($inresult);
			if(!isset($data[0]))
			{
				$sql = "INSERT INTO questionnaires_users (questionnaire_id, user_id) VALUES('$q_id', '".$files['id']."')";
				my_query($sql, $mysql_handler);
			}
		}
	}
}
?>